summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Proschofsky <suka@gentoo.org>2012-09-28 19:22:41 +0000
committerAndreas Proschofsky <suka@gentoo.org>2012-09-28 19:22:41 +0000
commit78c4e96102cf294195e87dc84b4ea33b55277c91 (patch)
tree34970060df4a98cd286dfe4f8c0ee21a99610201 /gnome-base
parentRemove, in GNOME overlay now (diff)
downloadsuka-78c4e96102cf294195e87dc84b4ea33b55277c91.tar.gz
suka-78c4e96102cf294195e87dc84b4ea33b55277c91.tar.bz2
suka-78c4e96102cf294195e87dc84b4ea33b55277c91.zip
More cleanup work, use GNOME overlay instead
svn path=/; revision=350
Diffstat (limited to 'gnome-base')
-rw-r--r--gnome-base/gdm/Manifest16
-rw-r--r--gnome-base/gdm/files/3.2.1.1/gdm11
-rw-r--r--gnome-base/gdm/files/3.2.1.1/gdm-autologin10
-rw-r--r--gnome-base/gdm/files/3.2.1.1/gdm-fingerprint14
-rw-r--r--gnome-base/gdm/files/3.2.1.1/gdm-password11
-rw-r--r--gnome-base/gdm/files/3.2.1.1/gdm-smartcard15
-rw-r--r--gnome-base/gdm/files/3.2.1.1/gdm-welcome9
-rw-r--r--gnome-base/gdm/files/3.2.1.1/gdm.service11
-rw-r--r--gnome-base/gdm/files/gdm-2.32.0-automagic-libxklavier-support.patch60
-rw-r--r--gnome-base/gdm/files/gdm-2.32.0-fix-daemonize-regression.patch126
-rw-r--r--gnome-base/gdm/files/gdm-2.32.0-fix-vt-problems.patch195
-rw-r--r--gnome-base/gdm/files/gdm-2.32.0-selinux-remove-attr.patch27
-rw-r--r--gnome-base/gdm/files/gdm-2.32.0-xinitrc-ssh-agent.patch32
-rw-r--r--gnome-base/gdm/files/gdm-3.2.1.1-custom-session.patch51
-rw-r--r--gnome-base/gdm/files/gdm-3.3.92.1-disable-accessibility.patch30
-rw-r--r--gnome-base/gdm/gdm-3.5.2.ebuild262
-rw-r--r--gnome-base/gnome-control-center/Manifest5
-rw-r--r--gnome-base/gnome-control-center/files/gnome-control-center-3.5.1-optional-bt-colord-goa-wacom.patch193
-rw-r--r--gnome-base/gnome-control-center/gnome-control-center-3.5.2.ebuild128
-rw-r--r--gnome-base/gnome-control-center/gnome-control-center-9999.ebuild135
-rw-r--r--gnome-base/gnome-session/Manifest6
-rwxr-xr-xgnome-base/gnome-session/files/10-user-dirs-update-gnome-r110
-rw-r--r--gnome-base/gnome-session/files/15-xdg-data-gnome-r19
-rw-r--r--gnome-base/gnome-session/files/Gnome109
-rw-r--r--gnome-base/gnome-session/files/defaults.list336
-rw-r--r--gnome-base/gnome-session/gnome-session-3.5.2.ebuild103
-rw-r--r--gnome-base/gnome-settings-daemon/Manifest4
-rw-r--r--gnome-base/gnome-settings-daemon/files/gnome-settings-daemon-3.5.1-optional-color-wacom.patch110
-rw-r--r--gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.5.2.ebuild115
-rw-r--r--gnome-base/gnome-settings-daemon/gnome-settings-daemon-9999.ebuild122
-rw-r--r--gnome-base/gnome-shell/Manifest4
-rw-r--r--gnome-base/gnome-shell/files/gnome-shell-3.2.1-automagic-gnome-bluetooth.patch44
-rw-r--r--gnome-base/gnome-shell/gnome-shell-3.5.2.ebuild184
-rw-r--r--gnome-base/gnome-shell/gnome-shell-9999.ebuild192
-rw-r--r--gnome-base/libgnomekbd/Manifest2
-rw-r--r--gnome-base/libgnomekbd/libgnomekbd-3.5.2.ebuild35
36 files changed, 0 insertions, 2726 deletions
diff --git a/gnome-base/gdm/Manifest b/gnome-base/gdm/Manifest
deleted file mode 100644
index 8ee6519..0000000
--- a/gnome-base/gdm/Manifest
+++ /dev/null
@@ -1,16 +0,0 @@
-AUX 3.2.1.1/gdm 274 RMD160 88c235b0e1907829a38a1be9c8f0fdc262b042d7 SHA1 3b08e4022e421417cb1fd9a03fd01c1ddedb27d5 SHA256 4c26f02021ffa41500fa98aeda61dde6d059243f027cf93f8fb00fde39a9edd3
-AUX 3.2.1.1/gdm-autologin 369 RMD160 2adb17241b378ad4ca10e6241cb21b5a679c0973 SHA1 8372a199f5e00fb0d9d2630d0ced060f190d2af2 SHA256 e964a100e72a8eccea4ed8e1558ae70cbe5b7cbea67415651d0c0bdcea2d06c8
-AUX 3.2.1.1/gdm-fingerprint 466 RMD160 3f63354ccce1de0dacc3c4b304673fa56fb35e4e SHA1 6e2d0d67e4c9cbff1efe3de5f57b1ace137c3314 SHA256 3af315d6abe928dd769f2cc9896d536e187ab373b29667c185e452ac6063d9cc
-AUX 3.2.1.1/gdm-password 274 RMD160 88c235b0e1907829a38a1be9c8f0fdc262b042d7 SHA1 3b08e4022e421417cb1fd9a03fd01c1ddedb27d5 SHA256 4c26f02021ffa41500fa98aeda61dde6d059243f027cf93f8fb00fde39a9edd3
-AUX 3.2.1.1/gdm-smartcard 573 RMD160 6e1655b9b6d6cb1710cf052bcf45e0f305ecd244 SHA1 19d459d5970e53ac9a40abdedd183873309b37bf SHA256 9c548668770aa68e730e5d5159d77067dbd0795dae2b7ba6d6ee347f88e90062
-AUX 3.2.1.1/gdm-welcome 326 RMD160 c69bf97510ca352e0da904e9b922c9eadebe7bde SHA1 f626c04e40c838a795f6be599bf01481e16eb854 SHA256 9325241dfd722e58e93dd1dc81714bef4b3b211f4fb8551f39a698415722934a
-AUX 3.2.1.1/gdm.service 202 RMD160 0192b184238f97e2060f4462bd6a9dcb0e2ec2f3 SHA1 f457a6f0c9e6e842eb1a8193ca4e27412e4b484b SHA256 21b105f56bc90178e05806583e3be5e74857c02ec6443318669f9ab6f947bb79
-AUX gdm-2.32.0-automagic-libxklavier-support.patch 2069 RMD160 805e7bfd5b2429c8fb5aeac397c2d564620ae41c SHA1 80bb72815646d40eb6a750a7be52d8e4f399d840 SHA256 91fdd46ab5ad1b4071cb798499ddd98bee47c67961906d1db0ee47cd4919fac5
-AUX gdm-2.32.0-fix-daemonize-regression.patch 4048 RMD160 4219fec833f0e62a10e52dee89ef5d1a8618d1c1 SHA1 69c5ed6869d5a467e64249f3afe695796c17c463 SHA256 e95e1ebfcfe2c896130e4925fa6f23911bcfe4db27e2a6788229538c6bb2a59d
-AUX gdm-2.32.0-fix-vt-problems.patch 6156 RMD160 7c739dd278194e1a30672635e35b05f798ec9996 SHA1 6428abdc3c493c4b9f69fcaef8dcb88a910f4d14 SHA256 12da81b8085d76ce3099f1af0ec588c07c3f020f341f825683f4855c9303731e
-AUX gdm-2.32.0-selinux-remove-attr.patch 851 RMD160 10dc29802fb29047188bff7aafe979a5e15e030a SHA1 d78bde425b7a141c91767c3e639ee0011feddadc SHA256 ad13d4b1253dca7d5ac362bcce9f5861c2830a3df32e5370a5a0d975c32ec258
-AUX gdm-2.32.0-xinitrc-ssh-agent.patch 863 RMD160 6ea58bdc1fa24d41f3c51fc7cdbabc05417053f0 SHA1 ad98258168b84c80d581085804b61649ac67e4d5 SHA256 71231d08baf41ee7b91c33c3d8a731c078d1d29328e09223efb1f579bacdaffe
-AUX gdm-3.2.1.1-custom-session.patch 1317 RMD160 20a1dd5608f4154fe53fae4def03f509769da878 SHA1 4acf8ed9b11eb531505c0c58805f1b37948fcb77 SHA256 75bd1bdc0d396fee71ff41c2657f922a4c8e290c891cc72f47647ab832d0c285
-AUX gdm-3.3.92.1-disable-accessibility.patch 779 RMD160 559fac385732f3a97bbd5222e0fd94ba3b879a99 SHA1 a6874897dd36210b51497d7d9606b5ade04ce624 SHA256 a32bddeb5e57086df41b9db433152ae290a405d23c39f0ff497d61544f343528
-DIST gdm-3.5.2.tar.xz 1615452 RMD160 aa36b84ef62ffbbbe9d03f72b6091449db8be842 SHA1 fe921682759180939728b49bc397ab784417d559 SHA256 610dc3945b3aafc1aacc2fe574d34565bb6370e8e9efc207344241f4daee930d
-EBUILD gdm-3.5.2.ebuild 8230 RMD160 b5478777266631dc823264e361c738faa2fc8330 SHA1 01a05a5e8ab8b12df19561b284d5fa4458152671 SHA256 91692870725f5094cf5c365980b0d325a5934a6cef570b403f3798cdd85e5e0e
diff --git a/gnome-base/gdm/files/3.2.1.1/gdm b/gnome-base/gdm/files/3.2.1.1/gdm
deleted file mode 100644
index d965eca..0000000
--- a/gnome-base/gdm/files/3.2.1.1/gdm
+++ /dev/null
@@ -1,11 +0,0 @@
-#%PAM-1.0
-auth optional pam_env.so
-auth include system-login
-auth required pam_nologin.so
-
-account include system-login
-
-password include system-login
-
-session include system-auth
-#Keyring=session optional pam_gnome_keyring.so auto_start
diff --git a/gnome-base/gdm/files/3.2.1.1/gdm-autologin b/gnome-base/gdm/files/3.2.1.1/gdm-autologin
deleted file mode 100644
index 9d165d6..0000000
--- a/gnome-base/gdm/files/3.2.1.1/gdm-autologin
+++ /dev/null
@@ -1,10 +0,0 @@
-#%PAM-1.0
-auth optional pam_env.so
-auth required pam_nologin.so
-auth required pam_permit.so
-account include system-login
-password include system-login
-session include system-auth
-# For the keyring to unlock with autologin, you need to set an empty
-# password on the keyring.
-#Keyring=session optional pam_gnome_keyring.so auto_start
diff --git a/gnome-base/gdm/files/3.2.1.1/gdm-fingerprint b/gnome-base/gdm/files/3.2.1.1/gdm-fingerprint
deleted file mode 100644
index 7d38de9..0000000
--- a/gnome-base/gdm/files/3.2.1.1/gdm-fingerprint
+++ /dev/null
@@ -1,14 +0,0 @@
-#%PAM-1.0
-# Note: no pam_gnome_keyring.so support since the login password is not used
-auth optional pam_env.so
-auth required pam_tally2.so onerr=succeed
-auth required pam_shells.so
-auth required pam_nologin.so
-auth required pam_fprintd.so
-auth optional pam_permit.so
-
-account include system-login
-
-password required pam_deny.so
-
-session include system-auth
diff --git a/gnome-base/gdm/files/3.2.1.1/gdm-password b/gnome-base/gdm/files/3.2.1.1/gdm-password
deleted file mode 100644
index d965eca..0000000
--- a/gnome-base/gdm/files/3.2.1.1/gdm-password
+++ /dev/null
@@ -1,11 +0,0 @@
-#%PAM-1.0
-auth optional pam_env.so
-auth include system-login
-auth required pam_nologin.so
-
-account include system-login
-
-password include system-login
-
-session include system-auth
-#Keyring=session optional pam_gnome_keyring.so auto_start
diff --git a/gnome-base/gdm/files/3.2.1.1/gdm-smartcard b/gnome-base/gdm/files/3.2.1.1/gdm-smartcard
deleted file mode 100644
index 5cf884d..0000000
--- a/gnome-base/gdm/files/3.2.1.1/gdm-smartcard
+++ /dev/null
@@ -1,15 +0,0 @@
-#%PAM-1.0
-auth optional pam_env.so
-auth required pam_tally2.so onerr=succeed
-auth required pam_shells.so
-auth required pam_nologin.so
-auth [success=done ignore=ignore default=die] pam_pkcs11.so wait_for_card card_only
-auth optional pam_permit.so
-
-account include system-login
-
-password optional pam_pkcs11.so
-password required pam_cracklib.so difok=2 minlen=8 dcredit=2 ocredit=2 retry=3
-password optional pam_permit.so
-
-session include system-auth
diff --git a/gnome-base/gdm/files/3.2.1.1/gdm-welcome b/gnome-base/gdm/files/3.2.1.1/gdm-welcome
deleted file mode 100644
index 932eefe..0000000
--- a/gnome-base/gdm/files/3.2.1.1/gdm-welcome
+++ /dev/null
@@ -1,9 +0,0 @@
-#%PAM-1.0
-auth required pam_env.so
-auth required pam_permit.so
-account required pam_nologin.so
-account include system-services
-password include system-services
-session required pam_loginuid.so
-session optional pam_keyinit.so force revoke
-session include system-services
diff --git a/gnome-base/gdm/files/3.2.1.1/gdm.service b/gnome-base/gdm/files/3.2.1.1/gdm.service
deleted file mode 100644
index 63bb08e..0000000
--- a/gnome-base/gdm/files/3.2.1.1/gdm.service
+++ /dev/null
@@ -1,11 +0,0 @@
-[Unit]
-Description=GNOME Display Manager
-After=systemd-user-sessions.service
-
-[Service]
-ExecStart=/usr/bin/gdm --nodaemon
-Type=dbus
-BusName=org.gnome.DisplayManager
-
-[Install]
-WantedBy=graphical.target
diff --git a/gnome-base/gdm/files/gdm-2.32.0-automagic-libxklavier-support.patch b/gnome-base/gdm/files/gdm-2.32.0-automagic-libxklavier-support.patch
deleted file mode 100644
index 90c1cef..0000000
--- a/gnome-base/gdm/files/gdm-2.32.0-automagic-libxklavier-support.patch
+++ /dev/null
@@ -1,60 +0,0 @@
-From 481fe43b653b443ecfa8d4f3aa88d734d17cccd5 Mon Sep 17 00:00:00 2001
-From: Gilles Dartiguelongue <eva@gentoo.org>
-Date: Tue, 2 Nov 2010 23:21:27 +0100
-Subject: [PATCH 6/6] fix libxklavier automagic support
-
-libxklavier support is optional, make that fact explicit.
----
- configure.ac | 28 +++++++++++++++++++---------
- 1 files changed, 19 insertions(+), 9 deletions(-)
-
-diff --git a/configure.ac b/configure.ac
-index 71d0247..10dbb72 100644
---- a/configure.ac
-+++ b/configure.ac
-@@ -129,17 +129,26 @@ SIMPLE_GREETER_LIBS="$SIMPLE_GREETER_LIBS -lm"
- AC_SUBST(SIMPLE_GREETER_CFLAGS)
- AC_SUBST(SIMPLE_GREETER_LIBS)
-
--PKG_CHECK_MODULES(LIBXKLAVIER,
-- libxklavier >= $LIBXKLAVIER_REQUIRED_VERSION,
-- have_libxklavier=yes,
-- have_libxklavier=no)
--if test "x$have_libxklavier" = "xyes" ; then
-- AC_DEFINE(HAVE_LIBXKLAVIER, [], [Define if we have libxklavier])
-+AC_ARG_ENABLE([libxklavier],
-+ AS_HELP_STRING([--enable-libxklavier],
-+ [Enable libxklavier support @<:@default=yes@:>@]),
-+ enable_libxklavier=$enableval,
-+ enable_libxklavier=yes)
-+have_libxklavier=no
-+if test "x$enable_libxklavier" = "xyes"; then
-+ PKG_CHECK_MODULES(LIBXKLAVIER,
-+ libxklavier >= $LIBXKLAVIER_REQUIRED_VERSION,
-+ have_libxklavier=yes,
-+ have_libxklavier=no)
-+ if test "x$have_libxklavier" = "xyes" ; then
-+ AC_DEFINE(HAVE_LIBXKLAVIER, [], [Define if we have libxklavier])
-+ fi
-+ AC_SUBST(HAVE_LIBXKLAVIER)
-+ AC_SUBST(LIBXKLAVIER_CFLAGS)
-+ AC_SUBST(LIBXKLAVIER_LIBS)
- fi
-+
- AM_CONDITIONAL(HAVE_LIBXKLAVIER, test x$have_libxklavier = xyes)
--AC_SUBST(HAVE_LIBXKLAVIER)
--AC_SUBST(LIBXKLAVIER_CFLAGS)
--AC_SUBST(LIBXKLAVIER_LIBS)
-
- PKG_CHECK_MODULES(SIMPLE_CHOOSER,
- dbus-glib-1 >= $DBUS_GLIB_REQUIRED_VERSION
-@@ -1467,5 +1476,6 @@ echo \
- SELinux support: ${with_selinux}
- ConsoleKit support: ${use_console_kit}
- UPower support: ${have_upower}
-+ Libxklavier support: ${have_libxklavier}
- Build with RBAC: ${msg_rbac_shutdown}
- "
---
-1.7.3.1
-
diff --git a/gnome-base/gdm/files/gdm-2.32.0-fix-daemonize-regression.patch b/gnome-base/gdm/files/gdm-2.32.0-fix-daemonize-regression.patch
deleted file mode 100644
index 2ae7f61..0000000
--- a/gnome-base/gdm/files/gdm-2.32.0-fix-daemonize-regression.patch
+++ /dev/null
@@ -1,126 +0,0 @@
-From 7f5104b242e6b36e6143183b14582d362763ff2a Mon Sep 17 00:00:00 2001
-From: Gilles Dartiguelongue <eva@gentoo.org>
-Date: Tue, 2 Nov 2010 23:16:51 +0100
-Subject: [PATCH 2/6] daemonize so that the boot process can continue
-
-Gentoo bug: #236701
-
-Originally from: Dan Nicholson <dbn.lists@gmail.com>
-
-Fork gdm-binary, except when -nodaemon is used
-
-gdm-binary now forks and the parent terminates, except when the
--nodaemon or --nodaemon options are used. This provides compatibility
-with xdm. Fixes bug #550170.
-
----
- daemon/main.c | 64 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
- 1 files changed, 64 insertions(+), 0 deletions(-)
-
-diff --git a/daemon/main.c b/daemon/main.c
-index 5b8d66b..191b6e3 100644
---- a/daemon/main.c
-+++ b/daemon/main.c
-@@ -513,6 +513,56 @@ is_debug_set (void)
- return debug;
- }
-
-+static void
-+dup_dev_null (int fd, int flags)
-+{
-+ int nullfd;
-+ int dupfd;
-+
-+ VE_IGNORE_EINTR (nullfd = open ("/dev/null", flags));
-+ if (G_UNLIKELY (nullfd < 0)) {
-+ gdm_fail (_("Cannot open /dev/null: %s!"),
-+ strerror (errno));
-+ exit (EXIT_FAILURE);
-+ }
-+
-+ VE_IGNORE_EINTR (dupfd = dup2 (nullfd, fd));
-+ if (G_UNLIKELY (dupfd < 0)) {
-+ gdm_fail (_("Cannot duplicate /dev/null: %s!"),
-+ strerror (errno));
-+ exit (EXIT_FAILURE);
-+ }
-+
-+ VE_IGNORE_EINTR (close (nullfd));
-+}
-+
-+static void
-+daemonify (void)
-+{
-+ pid_t pid;
-+
-+ pid = fork ();
-+
-+ /* terminate the parent */
-+ if (pid > 0)
-+ exit (EXIT_SUCCESS);
-+
-+ if (G_UNLIKELY (pid < 0)) {
-+ gdm_fail (_("fork () failed: %s!"), strerror (errno));
-+ exit (EXIT_FAILURE);
-+ }
-+
-+ if (G_UNLIKELY (setsid () < 0)) {
-+ gdm_fail (_("setsid () failed: %s!"), strerror (errno));
-+ exit (EXIT_FAILURE);
-+ }
-+
-+ /* reopen stdin, stdout, stderr with /dev/null */
-+ dup_dev_null (STDIN_FILENO, O_RDONLY);
-+ dup_dev_null (STDOUT_FILENO, O_RDWR);
-+ dup_dev_null (STDERR_FILENO, O_RDWR);
-+}
-+
- int
- main (int argc,
- char **argv)
-@@ -523,14 +573,17 @@ main (int argc,
- DBusGConnection *connection;
- GError *error;
- int ret;
-+ int i;
- gboolean res;
- gboolean xdmcp_enabled;
- GdmSignalHandler *signal_handler;
- static gboolean do_timed_exit = FALSE;
- static gboolean print_version = FALSE;
- static gboolean fatal_warnings = FALSE;
-+ static gboolean no_daemon = FALSE;
- static GOptionEntry entries [] = {
- { "fatal-warnings", 0, 0, G_OPTION_ARG_NONE, &fatal_warnings, N_("Make all warnings fatal"), NULL },
-+ { "nodaemon", 0, 0, G_OPTION_ARG_NONE, &no_daemon, N_("Do not fork into the background"), NULL },
- { "timed-exit", 0, 0, G_OPTION_ARG_NONE, &do_timed_exit, N_("Exit after a time (for debugging)"), NULL },
- { "version", 0, 0, G_OPTION_ARG_NONE, &print_version, N_("Print GDM version"), NULL },
-
-@@ -547,6 +600,14 @@ main (int argc,
-
- g_type_init ();
-
-+ /* preprocess the arguments to support the xdm style
-+ * -nodaemon option
-+ */
-+ for (i = 0; i < argc; i++) {
-+ if (strcmp (argv[i], "-nodaemon") == 0)
-+ argv[i] = "--nodaemon";
-+ }
-+
- context = g_option_context_new (_("GNOME Display Manager"));
- g_option_context_add_main_entries (context, entries, NULL);
- g_option_context_set_ignore_unknown_options (context, TRUE);
-@@ -617,6 +678,9 @@ main (int argc,
- exit (-1);
- }
-
-+ if (no_daemon == FALSE)
-+ daemonify ();
-+
- /* pid file */
- delete_pid ();
- write_pid ();
---
-1.7.3.1
-
diff --git a/gnome-base/gdm/files/gdm-2.32.0-fix-vt-problems.patch b/gnome-base/gdm/files/gdm-2.32.0-fix-vt-problems.patch
deleted file mode 100644
index f219a14..0000000
--- a/gnome-base/gdm/files/gdm-2.32.0-fix-vt-problems.patch
+++ /dev/null
@@ -1,195 +0,0 @@
-From 64002e623fea54ab10040206d164c5fdee4a43d2 Mon Sep 17 00:00:00 2001
-From: Nirbheek Chauhan <nirbheek@gentoo.org>
-Date: Fri, 15 Apr 2011 22:13:44 +0530
-Subject: [PATCH] Fix VT grab race with getty causing X to grab the wrong VT
-
-On bootup, if X is spawned without any args, it'll take up the first unused VT.
-If GDM starts up before gettys are spawned, X takes up VT1 or VT2 depending on
-the init system and bootsplash.
-
-This is problematic because afterwards getty will come up underneath X, and
-cause keyboard problems and eventually crash X.
-
-So we read /etc/inittab, check for open VTs, compare the two values, and take
-the conservative one.
----
- configure.ac | 4 ++
- daemon/Makefile.am | 1 +
- daemon/gdm-server.c | 106 ++++++++++++++++++++++++++++++++++++++++++++++++++-
- 3 files changed, 110 insertions(+), 1 deletions(-)
-
-diff --git a/configure.ac b/configure.ac
-index ca0f8bb..b9e7462 100644
---- a/configure.ac
-+++ b/configure.ac
-@@ -302,6 +302,10 @@ AC_CHECK_TYPE(socklen_t,,
- AC_CHECK_HEADERS(sys/sockio.h)
- AC_CHECK_FUNCS([setresuid setenv unsetenv clearenv])
-
-+dnl Needed for querying the kernel for free VTs
-+AC_CHECK_HEADERS(sys/vt.h)
-+AC_CHECK_HEADERS(sys/ioctl.h)
-+
- dnl checks needed for Darwin compatibility to linux **environ.
- AC_CHECK_HEADERS(crt_externs.h)
- AC_CHECK_FUNCS(_NSGetEnviron)
-diff --git a/daemon/Makefile.am b/daemon/Makefile.am
-index da18835..c1b6bda 100644
---- a/daemon/Makefile.am
-+++ b/daemon/Makefile.am
-@@ -14,6 +14,7 @@ AM_CPPFLAGS = \
- -DLIBEXECDIR=\"$(libexecdir)\" \
- -DLOGDIR=\"$(logdir)\" \
- -DSBINDIR=\"$(sbindir)\" \
-+ -DSYSCONFDIR=\""$(sysconfdir)"\" \
- -DGNOMELOCALEDIR=\""$(datadir)/locale"\" \
- -DGDM_XAUTH_DIR=\"$(GDM_XAUTH_DIR)\" \
- -DGDM_SCREENSHOT_DIR=\"$(GDM_SCREENSHOT_DIR)\" \
-diff --git a/daemon/gdm-server.c b/daemon/gdm-server.c
-index 339f3cc..29d16dc 100644
---- a/daemon/gdm-server.c
-+++ b/daemon/gdm-server.c
-@@ -26,6 +26,8 @@
- #include <unistd.h>
- #include <string.h>
- #include <sys/types.h>
-+#include <sys/ioctl.h>
-+#include <sys/vt.h>
- #include <sys/wait.h>
- #include <errno.h>
- #include <ctype.h>
-@@ -42,6 +44,7 @@
- #include <glib/gi18n.h>
- #include <glib/gstdio.h>
- #include <glib-object.h>
-+#include <gio/gio.h>
-
- #include <X11/Xlib.h> /* for Display */
-
-@@ -54,6 +57,8 @@ extern char **environ;
-
- #define GDM_SERVER_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), GDM_TYPE_SERVER, GdmServerPrivate))
-
-+#define INITTAB SYSCONFDIR"/inittab"
-+
- /* These are the servstat values, also used as server
- * process exit codes */
- #define SERVER_TIMEOUT 2 /* Server didn't start */
-@@ -674,6 +679,105 @@ gdm_server_spawn (GdmServer *server,
- }
-
- /**
-+ * Parse the inittab file used by getty to spawn VTs to find unused ttys
-+ */
-+static int
-+get_free_vt_from_inittab ()
-+{
-+ GFile *gfile;
-+ GFileInputStream *contents;
-+ GDataInputStream *dstream;
-+ GRegex *getty;
-+ GMatchInfo *tty_match = NULL;
-+ GSList *tty_list = NULL;
-+ GError *error = NULL;
-+ gchar *temp = NULL;
-+ int vtno = 0;
-+
-+ gfile = g_file_new_for_path (INITTAB);
-+ contents = g_file_read (gfile, NULL, &error);
-+ g_object_unref (gfile);
-+ if (!contents) {
-+ if (error) {
-+ g_debug ("Unable to open file %s", INITTAB);
-+ g_error_free (error);
-+ }
-+ goto out;
-+ }
-+
-+ dstream = g_data_input_stream_new (G_INPUT_STREAM (contents));
-+ getty = g_regex_new ("^c[0-9]+:.+getty.+tty([0-9]+)", 0, 0, NULL);
-+ g_object_unref (contents);
-+
-+ while (1) {
-+ temp = g_data_input_stream_read_line (dstream, NULL, NULL, &error);
-+ if (!temp)
-+ break;
-+ if (!g_regex_match (getty, temp, 0, &tty_match))
-+ continue;
-+ g_free (temp);
-+ temp = g_match_info_fetch (tty_match, 1);
-+ if (!temp)
-+ continue;
-+ tty_list = g_slist_insert_sorted (tty_list, temp, (GCompareFunc)g_strcmp0);
-+ g_match_info_free (tty_match);
-+ }
-+
-+ if (error) {
-+ g_debug ("Unable to read line from %s", INITTAB);
-+ g_error_free (error);
-+ goto free;
-+ }
-+
-+ /* Ignore holes in vt allocation, just take the last one */
-+ temp = g_slist_last (tty_list)->data;
-+ if (temp)
-+ vtno = (int) g_ascii_strtoull (temp, NULL, 10) + 1;
-+
-+free:
-+ g_object_unref (dstream);
-+ g_regex_unref (getty);
-+ g_slist_free_full (tty_list, g_free);
-+ g_free (error);
-+out:
-+ return vtno;
-+}
-+
-+/**
-+ * Query the VT_* kernel ioctls to find an empty tty
-+ */
-+static int
-+get_free_vt_from_kernel()
-+{
-+ int fd, vtno = 0;
-+
-+ fd = open ("/dev/tty0", O_WRONLY, 0);
-+ if ((ioctl(fd, VT_OPENQRY, &vtno) < 0) || (vtno == -1)) {
-+ vtno = 0;
-+ g_debug ("Unable to find a free vt, falling back to Xorg autodetect");
-+ }
-+ return vtno;
-+}
-+
-+static gchar*
-+get_free_vt ()
-+{
-+ int inittab_vtno, kernel_vtno;
-+ gchar* vt = NULL;
-+
-+ inittab_vtno = get_free_vt_from_inittab();
-+ if (inittab_vtno > 0)
-+ g_debug ("Inittab says vt%i is free\n", inittab_vtno);
-+ kernel_vtno = get_free_vt_from_kernel();
-+ if (kernel_vtno > 0)
-+ g_debug ("Kernel says vt%i is free\n", kernel_vtno);
-+ /* Select the greater of the two because getty will use the others */
-+ if (kernel_vtno != 0 && inittab_vtno != 0)
-+ vt = g_strdup_printf ("vt%i", kernel_vtno > inittab_vtno ? kernel_vtno : inittab_vtno);
-+ return vt;
-+}
-+
-+/**
- * gdm_server_start:
- * @disp: Pointer to a GdmDisplay structure
- *
-@@ -686,7 +790,7 @@ gdm_server_start (GdmServer *server)
- gboolean res;
-
- /* fork X server process */
-- res = gdm_server_spawn (server, NULL);
-+ res = gdm_server_spawn (server, get_free_vt());
-
- return res;
- }
---
-1.7.3.4
-
diff --git a/gnome-base/gdm/files/gdm-2.32.0-selinux-remove-attr.patch b/gnome-base/gdm/files/gdm-2.32.0-selinux-remove-attr.patch
deleted file mode 100644
index e563aa4..0000000
--- a/gnome-base/gdm/files/gdm-2.32.0-selinux-remove-attr.patch
+++ /dev/null
@@ -1,27 +0,0 @@
-From 41badd6d2ca652a875fec3eea420ae876023076d Mon Sep 17 00:00:00 2001
-From: Gilles Dartiguelongue <eva@gentoo.org>
-Date: Tue, 2 Nov 2010 23:15:54 +0100
-Subject: [PATCH 1/6] remove unneeded linker directive for selinux
-
-Gentoo bug: #41022
-
----
- configure.ac | 2 +-
- 1 files changed, 1 insertions(+), 1 deletions(-)
-
-diff --git a/configure.ac b/configure.ac
-index ed07dce..71d0247 100644
---- a/configure.ac
-+++ b/configure.ac
-@@ -873,7 +873,7 @@ if test "x$with_selinux" = "xyes" ; then
- AC_CHECK_LIB(selinux,setexeccon,/bin/true)
- AC_CHECK_LIB(selinux,is_selinux_enabled,/bin/true)
- AC_DEFINE(HAVE_SELINUX, 1, [Define if have selinux])
-- EXTRA_DAEMON_LIBS="$EXTRA_DAEMON_LIBS -lselinux -lattr"
-+ EXTRA_DAEMON_LIBS="$EXTRA_DAEMON_LIBS -lselinux"
- fi
-
- dnl ---------------------------------------------------------------------------
---
-1.7.3.1
-
diff --git a/gnome-base/gdm/files/gdm-2.32.0-xinitrc-ssh-agent.patch b/gnome-base/gdm/files/gdm-2.32.0-xinitrc-ssh-agent.patch
deleted file mode 100644
index b1cddf1..0000000
--- a/gnome-base/gdm/files/gdm-2.32.0-xinitrc-ssh-agent.patch
+++ /dev/null
@@ -1,32 +0,0 @@
-From 1cb1841da3a8fedc1671637e2828d5e361af21fa Mon Sep 17 00:00:00 2001
-From: Gilles Dartiguelongue <eva@gentoo.org>
-Date: Tue, 2 Nov 2010 23:19:31 +0100
-Subject: [PATCH 5/6] ssh-agent handling must be done at xinitrc.d
-
-Gentoo bug: #220603
----
- data/Xsession.in | 8 --------
- 1 files changed, 0 insertions(+), 8 deletions(-)
-
-diff --git a/data/Xsession.in b/data/Xsession.in
-index 0da187d..aa49b90 100755
---- a/data/Xsession.in
-+++ b/data/Xsession.in
-@@ -189,14 +189,6 @@ if [ -d /etc/X11/xinit/xinitrc.d ]; then
- done
- fi
-
--# add ssh-agent if found
--sshagent="`gdmwhich ssh-agent`"
--if [ -n "$sshagent" ] && [ -x "$sshagent" ] && [ -z "$SSH_AUTH_SOCK" ]; then
-- command="$sshagent -- $command"
--elif [ -z "$sshagent" ] ; then
-- echo "$0: ssh-agent not found!"
--fi
--
- echo "$0: Setup done, will execute: $command"
-
- eval exec $command
---
-1.7.3.1
-
diff --git a/gnome-base/gdm/files/gdm-3.2.1.1-custom-session.patch b/gnome-base/gdm/files/gdm-3.2.1.1-custom-session.patch
deleted file mode 100644
index 0642f7c..0000000
--- a/gnome-base/gdm/files/gdm-3.2.1.1-custom-session.patch
+++ /dev/null
@@ -1,51 +0,0 @@
-From b96c19976b6876648fd91949f78f06cf5d269b18 Mon Sep 17 00:00:00 2001
-From: Gilles Dartiguelongue <eva@gentoo.org>
-Date: Tue, 2 Nov 2010 23:19:07 +0100
-Subject: [PATCH] make custom session work
-
-Gentoo bug: #216984
-
-fix custom sessions not doing sourcing in the proper order.
----
- data/Xsession.in | 18 +++++++++---------
- 1 files changed, 9 insertions(+), 9 deletions(-)
-
-diff --git a/data/Xsession.in b/data/Xsession.in
-index 118518c..201be92 100755
---- a/data/Xsession.in
-+++ b/data/Xsession.in
-@@ -155,15 +155,6 @@ fi
-
- xhost +si:localuser:`id -un` || :
-
--# run all system xinitrc shell scripts.
--if [ -d /etc/X11/xinit/xinitrc.d ]; then
-- for i in /etc/X11/xinit/xinitrc.d/* ; do
-- if [ -x "$i" -a ! -d "$i" ]; then
-- . "$i"
-- fi
-- done
--fi
--
- if [ "x$command" = "xcustom" ] ; then
- if [ -x "$HOME/.xsession" ]; then
- command="$HOME/.xsession"
-@@ -191,6 +182,15 @@ if [ "x$command" = "xdefault" ] ; then
- fi
- fi
-
-+# run all system xinitrc shell scripts.
-+if [ -d /etc/X11/xinit/xinitrc.d ]; then
-+ for i in /etc/X11/xinit/xinitrc.d/* ; do
-+ if [ -x "$i" -a ! -d "$i" ]; then
-+ . "$i"
-+ fi
-+ done
-+fi
-+
- # add ssh-agent if found
- sshagent="`gdmwhich ssh-agent`"
- if [ -n "$sshagent" ] && [ -x "$sshagent" ] && [ -z "$SSH_AUTH_SOCK" ]; then
---
-1.7.7
-
diff --git a/gnome-base/gdm/files/gdm-3.3.92.1-disable-accessibility.patch b/gnome-base/gdm/files/gdm-3.3.92.1-disable-accessibility.patch
deleted file mode 100644
index 1df7e58..0000000
--- a/gnome-base/gdm/files/gdm-3.3.92.1-disable-accessibility.patch
+++ /dev/null
@@ -1,30 +0,0 @@
-diff -Naur gdm-3.3.92.1//data/00-upstream-settings gdm-3.3.92.1.new//data/00-upstream-settings
---- gdm-3.3.92.1//data/00-upstream-settings 2012-02-08 04:50:32.000000000 +0530
-+++ gdm-3.3.92.1.new//data/00-upstream-settings 2012-03-25 14:24:01.387842352 +0530
-@@ -7,7 +7,7 @@
- #
-
- [org/gnome/desktop/a11y/keyboard]
--enable=true
-+enable=false
-
- [org/gnome/desktop/background]
- show-desktop-icons=false
-@@ -16,7 +16,7 @@
- exec='/bin/true'
-
- [org/gnome/desktop/interface]
--toolkit-accessibility=true
-+toolkit-accessibility=false
-
- [org/gnome/desktop/lockdown]
- disable-application-handlers=true
-@@ -35,7 +35,7 @@
- event-sounds=true
-
- [org/gnome/settings-daemon/plugins/a11y-keyboard]
--active=true
-+active=false
-
- [org/gnome/settings-daemon/plugins/a11y-settings]
- active=false
diff --git a/gnome-base/gdm/gdm-3.5.2.ebuild b/gnome-base/gdm/gdm-3.5.2.ebuild
deleted file mode 100644
index 55abda0..0000000
--- a/gnome-base/gdm/gdm-3.5.2.ebuild
+++ /dev/null
@@ -1,262 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI="4"
-GNOME2_LA_PUNT="yes"
-
-inherit autotools eutils gnome2 pam systemd
-
-DESCRIPTION="GNOME Display Manager"
-HOMEPAGE="http://www.gnome.org/projects/gdm/"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~sh ~x86"
-
-IUSE="accessibility +consolekit +fallback fprint +gnome-shell ipv6 gnome-keyring +introspection plymouth selinux smartcard systemd tcpd test xinerama +xklavier"
-
-# NOTE: x11-base/xorg-server dep is for X_SERVER_PATH etc, bug #295686
-# nspr used by smartcard extension
-# dconf, dbus and g-s-d are needed at install time for dconf update
-COMMON_DEPEND="
- >=dev-libs/dbus-glib-0.74
- >=dev-libs/glib-2.29.3:2
- >=x11-libs/gtk+-2.91.1:3
- >=x11-libs/pango-1.3
- dev-libs/nspr
- >=dev-libs/nss-3.11.1
- >=media-libs/fontconfig-2.5.0
- >=media-libs/libcanberra-0.4[gtk3]
- >=x11-misc/xdg-utils-1.0.2-r3
- >=sys-power/upower-0.9
- >=sys-apps/accountsservice-0.6.12
-
- gnome-base/dconf
- >=gnome-base/gnome-settings-daemon-3.1.4
- gnome-base/gsettings-desktop-schemas
- sys-apps/dbus
-
- app-text/iso-codes
-
- x11-base/xorg-server
- x11-libs/libXi
- x11-libs/libXau
- x11-libs/libX11
- x11-libs/libXdmcp
- x11-libs/libXext
- x11-libs/libXft
- x11-libs/libXrandr
- x11-apps/sessreg
-
- virtual/pam
- consolekit? ( sys-auth/consolekit )
-
- accessibility? ( x11-libs/libXevie )
- gnome-keyring? ( >=gnome-base/gnome-keyring-2.22[pam] )
- introspection? ( >=dev-libs/gobject-introspection-0.9.12 )
- plymouth? ( sys-boot/plymouth )
- selinux? ( sys-libs/libselinux )
- systemd? ( >=sys-apps/systemd-39 )
- tcpd? ( >=sys-apps/tcp-wrappers-7.6 )
- xinerama? ( x11-libs/libXinerama )
- xklavier? ( >=x11-libs/libxklavier-4 )"
-DEPEND="${COMMON_DEPEND}
- test? ( >=dev-libs/check-0.9.4 )
- xinerama? ( x11-proto/xineramaproto )
- app-text/docbook-xml-dtd:4.1.2
- sys-devel/gettext
- x11-proto/inputproto
- x11-proto/randrproto
- >=dev-util/intltool-0.40.0
- >=app-text/scrollkeeper-0.1.4
- >=app-text/gnome-doc-utils-0.3.2
- virtual/pkgconfig"
-# XXX: These deps are from session and desktop files in data/ directory
-# at-spi:1 is needed for at-spi-registryd (spawned by simple-chooser)
-# fprintd is used via dbus by gdm-fingerprint-extension
-RDEPEND="${COMMON_DEPEND}
- >=gnome-base/gnome-session-2.91.92
- x11-apps/xhost
- x11-themes/gnome-icon-theme-symbolic
-
- accessibility? (
- app-accessibility/gnome-mag
- app-accessibility/gok
- app-accessibility/orca
- gnome-extra/at-spi:1 )
- consolekit? ( gnome-extra/polkit-gnome )
- fallback? ( x11-wm/metacity )
- fprint? (
- sys-auth/fprintd
- sys-auth/pam_fprint )
- gnome-shell? ( >=gnome-base/gnome-shell-3.1.90 )
- !gnome-shell? ( x11-wm/metacity )
- smartcard? (
- app-crypt/coolkey
- sys-auth/pam_pkcs11 )
-
- !gnome-extra/fast-user-switch-applet"
-
-pkg_setup() {
- DOCS="AUTHORS ChangeLog NEWS README TODO"
-
- # PAM is the only auth scheme supported
- # even though configure lists shadow and crypt
- # they don't have any corresponding code.
- # --with-at-spi-registryd-directory= needs to be passed explicitly because
- # of https://bugzilla.gnome.org/show_bug.cgi?id=607643#c4
- G2CONF="${G2CONF}
- --disable-schemas-install
- --disable-static
- --localstatedir=${EPREFIX}/var
- --with-xdmcp=yes
- --enable-authentication-scheme=pam
- --with-pam-prefix=${EPREFIX}/etc
- --with-at-spi-registryd-directory=${EPREFIX}/usr/libexec
- $(use_with accessibility xevie)
- $(use_enable ipv6)
- $(use_enable xklavier libxklavier)
- $(use_with consolekit console-kit)
- $(use_with plymouth)
- $(use_with selinux)
- $(use_with systemd)
- $(use_with tcpd tcp-wrappers)
- $(use_with xinerama)"
-
- enewgroup gdm
- enewgroup video # Just in case it hasn't been created yet
- enewuser gdm -1 -1 /var/lib/gdm gdm,video
-
- # For compatibility with certain versions of nvidia-drivers, etc., need to
- # ensure that gdm user is in the video group
- if ! egetent group video | grep -q gdm; then
- # FIXME XXX: is this at all portable, ldap-safe, etc.?
- # XXX: egetent does not have a 1-argument form, so we can't use it to
- # get the list of gdm's groups
- local g=$(groups gdm)
- elog "Adding user gdm to video group"
- usermod -G video,${g// /,} gdm || die "Adding user gdm to video group failed"
- fi
-}
-
-src_prepare() {
- # remove unneeded linker directive for selinux, bug #41022
- epatch "${FILESDIR}/${PN}-2.32.0-selinux-remove-attr.patch"
-
- # daemonize so that the boot process can continue, bug #236701
- epatch "${FILESDIR}/${PN}-2.32.0-fix-daemonize-regression.patch"
-
- # GDM grabs VT2 instead of VT7, bug 261339, bug 284053, bug 288852
- epatch "${FILESDIR}/${PN}-2.32.0-fix-vt-problems.patch"
-
- # make custom session work, bug #216984
- epatch "${FILESDIR}/${PN}-3.2.1.1-custom-session.patch"
-
- # ssh-agent handling must be done at xinitrc.d, bug #220603
- epatch "${FILESDIR}/${PN}-2.32.0-xinitrc-ssh-agent.patch"
-
- # fix libxklavier automagic support
- epatch "${FILESDIR}/${PN}-2.32.0-automagic-libxklavier-support.patch"
-
- # don't load accessibility support at runtime when USE=-accessibility
- use accessibility || epatch "${FILESDIR}/${PN}-3.3.92.1-disable-accessibility.patch"
-
- # make gdm-fallback session the default if USE=-gnome-shell
- if ! use gnome-shell; then
- sed -e "s:'gdm-shell':'gdm-fallback':" \
- -i data/00-upstream-settings || die "sed failed"
- fi
-
- mkdir -p "${S}"/m4
- intltoolize --force --copy --automake || die "intltoolize failed"
- eautoreconf
-
- gnome2_src_prepare
-}
-
-src_install() {
- gnome2_src_install
-
- # Install the systemd unit file
- systemd_dounit "${FILESDIR}/3.2.1.1/gdm.service"
-
- # gdm-binary should be gdm to work with our init (#5598)
- rm -f "${ED}/usr/sbin/gdm"
- ln -sfn /usr/sbin/gdm-binary "${ED}/usr/sbin/gdm"
- # our x11's scripts point to /usr/bin/gdm
- ln -sfn /usr/sbin/gdm-binary "${ED}/usr/bin/gdm"
-
- # log, etc.
- keepdir /var/log/gdm
-
- # install XDG_DATA_DIRS gdm changes
- echo 'XDG_DATA_DIRS="/usr/share/gdm"' > 99xdg-gdm
- doenvd 99xdg-gdm
-
- # install PAM files
- mkdir "${T}/pam.d" || die "mkdir failed"
- cp "${FILESDIR}/3.2.1.1"/gdm{,-autologin,-password,-fingerprint,-smartcard,-welcome} \
- "${T}/pam.d" || die "cp failed"
- use gnome-keyring && sed -i "s:#Keyring=::g" "${T}/pam.d"/*
- dopamd "${T}/pam.d"/*
-}
-
-pkg_postinst() {
- gnome2_pkg_postinst
-
- dbus-launch dconf update || die "'dconf update' failed"
-
- ewarn
- ewarn "This is an EXPERIMENTAL release, please bear with its bugs and"
- ewarn "visit us on #gentoo-desktop if you have problems."
- ewarn
-
- elog "To make GDM start at boot, edit /etc/conf.d/xdm"
- elog "and then execute 'rc-update add xdm default'."
- elog "If you already have GDM running, you will need to restart it."
-
- elog
- elog "GDM ignores most non-localization environment variables. If you"
- elog "need GDM to launch gnome-session with a particular environment,"
- elog "you need to use pam_env.so in /etc/pam.d/gdm-welcome; see"
- elog "the pam_env man page for more information."
- elog
-
- if use gnome-keyring; then
- elog "For autologin to unlock your keyring, you need to set an empty"
- elog "password on your keyring. Use app-crypt/seahorse for that."
- fi
-
- if [ -f "/etc/X11/gdm/gdm.conf" ]; then
- elog "You had /etc/X11/gdm/gdm.conf which is the old configuration"
- elog "file. It has been moved to /etc/X11/gdm/gdm-pre-gnome-2.16"
- mv /etc/X11/gdm/gdm.conf /etc/X11/gdm/gdm-pre-gnome-2.16
- fi
-
- # https://bugzilla.redhat.com/show_bug.cgi?id=513579
- # Lennart says this problem is fixed, but users are still reporting problems
- # XXX: Do we want this elog?
-# if has_version "media-libs/libcanberra[pulseaudio]" ; then
-# elog
-# elog "You have media-libs/libcanberra with the pulseaudio USE flag"
-# elog "enabled. GDM will start a pulseaudio process to play sounds. This"
-# elog "process should automatically terminate when a user logs into a"
-# elog "desktop session. If GDM's pulseaudio fails to terminate and"
-# elog "causes problems for users' audio, you can prevent GDM from"
-# elog "starting pulseaudio by editing /var/lib/gdm/.pulse/client.conf"
-# elog "so it contains the following two lines:"
-# elog
-# elog "autospawn = no"
-# elog "daemon-binary = /bin/true"
-# fi
-}
-
-pkg_postrm() {
- gnome2_pkg_postrm
-
- if rc-config list default | grep -q xdm; then
- elog "To remove GDM from startup please execute"
- elog "'rc-update del xdm default'"
- fi
-}
diff --git a/gnome-base/gnome-control-center/Manifest b/gnome-base/gnome-control-center/Manifest
deleted file mode 100644
index 1f2e2ac..0000000
--- a/gnome-base/gnome-control-center/Manifest
+++ /dev/null
@@ -1,5 +0,0 @@
-AUX gnome-control-center-3.5.1-optional-bt-colord-goa-wacom.patch 6674 RMD160 497c335cceacbfb3436acc3cbead9d5bbd7afb0c SHA1 41818bcb51aa237545cbff43b11d6f0e69817c0e SHA256 3a31a4ebfcde70d75691c606a3a86ed366fa114d74e60d3ff3bb4b74945660a3
-AUX gnome-control-center-3.5.3-optional-bt-colord-goa-wacom.patch 6724 RMD160 def08d3c4007bf74b1f1109a8ac7d6d35725d3f3 SHA1 11c4cc4933de8c8dfe9c38e05d5f2dda6ccc70c3 SHA256 e8039861ec74a7f0c9385e14de7e78a2f477a2c620157af5b5afe45e4c9c1ef0
-DIST gnome-control-center-3.5.2.tar.xz 4352040 RMD160 e582a5d51e03061ef567dddfe6d817266e6e7692 SHA1 3a7716583268160c5ecbd3a917d4762249ecece8 SHA256 cd7524095fe6d593d534a5c70409332125b719636c8d65503049547d5bcc0f5a
-EBUILD gnome-control-center-3.5.2.ebuild 3855 RMD160 434967cd2807435bc62b4cd0acd1ef10e3a0ffe0 SHA1 dd2fdc051e026c0dadaf8523ad3b13647d8fe6a1 SHA256 4eb3272749d3f1ad4715739c59b615b41b7fda36f99cf701b76d1d2c86f55933
-EBUILD gnome-control-center-9999.ebuild 3957 RMD160 ce889f970bbe3bf1b52b5261fa8e9f0c433ada2f SHA1 fff2ceb1a5217beac28ccf088b6d833002a87ba7 SHA256 6ea8230d762729cf881fc8b4cca8340752038ddd479ffb7b012d1699bff2a887
diff --git a/gnome-base/gnome-control-center/files/gnome-control-center-3.5.1-optional-bt-colord-goa-wacom.patch b/gnome-base/gnome-control-center/files/gnome-control-center-3.5.1-optional-bt-colord-goa-wacom.patch
deleted file mode 100644
index 92423a9..0000000
--- a/gnome-base/gnome-control-center/files/gnome-control-center-3.5.1-optional-bt-colord-goa-wacom.patch
+++ /dev/null
@@ -1,193 +0,0 @@
-From 93d009037aa3321e2eea86ef2e70cde959c5a250 Mon Sep 17 00:00:00 2001
-From: Alexandre Rostovtsev <tetromino@gentoo.org>
-Date: Sun, 13 May 2012 19:53:13 -0400
-Subject: [PATCH] Make bluetooth, colord, gnome-online-accounts, wacom
- optional
-
----
- configure.ac | 101 ++++++++++++++++++++++++++++++++++++++++++++++------
- panels/Makefile.am | 17 +++++++--
- 2 files changed, 103 insertions(+), 15 deletions(-)
-
-diff --git a/configure.ac b/configure.ac
-index d496365..2d2d15e 100644
---- a/configure.ac
-+++ b/configure.ac
-@@ -106,10 +106,44 @@ PKG_CHECK_MODULES(MEDIA_PANEL, $COMMON_MODULES)
- PKG_CHECK_MODULES(MOUSE_PANEL, $COMMON_MODULES xi >= 1.2
- gnome-settings-daemon >= $GSD_REQUIRED_VERSION x11)
- PKG_CHECK_MODULES(NETWORK_PANEL, $COMMON_MODULES)
--PKG_CHECK_MODULES(ONLINE_ACCOUNTS_PANEL, $COMMON_MODULES goa-1.0 goa-backend-1.0)
-+build_online_accounts=false
-+AC_ARG_ENABLE(goa,
-+ AC_HELP_STRING([--disable-goa],
-+ [disable online accounts management panel]),
-+ [case "${enableval}" in
-+ yes) WANT_ONLINE_ACCOUNTS=yes ;;
-+ no) WANT_ONLINE_ACCOUNTS=no ;;
-+ *) AC_MSG_ERROR(bad value ${enableval} for --disable-goa) ;;
-+ esac],
-+ [WANT_ONLINE_ACCOUNTS=yes]) dnl Default value
-+
-+if test x$WANT_ONLINE_ACCOUNTS = xyes; then
-+ PKG_CHECK_MODULES(ONLINE_ACCOUNTS_PANEL, $COMMON_MODULES goa-1.0 goa-backend-1.0)
-+ build_online_accounts=true
-+fi
-+AM_CONDITIONAL(BUILD_ONLINE_ACCOUNTS, test "x$build_online_accounts" = "xtrue")
-+AC_SUBST(ONLINE_ACCOUNTS_PANEL_CFLAGS)
-+AC_SUBST(ONLINE_ACCOUNTS_PANEL_LIBS)
- PKG_CHECK_MODULES(POWER_PANEL, $COMMON_MODULES upower-glib >= 0.9.1
- gnome-settings-daemon >= $GSD_REQUIRED_VERSION)
--PKG_CHECK_MODULES(COLOR_PANEL, $COMMON_MODULES colord >= 0.1.8)
-+build_color=false
-+AC_ARG_ENABLE(color,
-+ AC_HELP_STRING([--disable-color],
-+ [disable color management panel]),
-+ [case "${enableval}" in
-+ yes) WANT_COLOR=yes ;;
-+ no) WANT_COLOR=no ;;
-+ *) AC_MSG_ERROR(bad value ${enableval} for --disable-color) ;;
-+ esac],
-+ [WANT_COLOR=yes]) dnl Default value
-+
-+if test x$WANT_COLOR = xyes; then
-+ PKG_CHECK_MODULES(COLOR_PANEL, $COMMON_MODULES colord >= 0.1.8)
-+ build_color=true
-+fi
-+AM_CONDITIONAL(BUILD_COLOR, test "x$build_color" = "xtrue")
-+AC_SUBST(COLOR_PANEL_CFLAGS)
-+AC_SUBST(COLOR_PANEL_LIBS)
- PKG_CHECK_MODULES(PRINTERS_PANEL, $COMMON_MODULES
- polkit-gobject-1 >= $POLKIT_REQUIRED_VERSION)
- PKG_CHECK_MODULES(REGION_PANEL, $COMMON_MODULES libgnomekbd >= 2.91.91
-@@ -145,10 +145,24 @@
- fi
- AM_CONDITIONAL(BUILD_NETWORK, [test x$have_networkmanager = xyes])
-
--# Check for gnome-bluetooth
--PKG_CHECK_MODULES(BLUETOOTH, $COMMON_MODULES gnome-bluetooth-1.0 >= 3.3.4,
-- [have_bluetooth=yes], have_bluetooth=no)
--AM_CONDITIONAL(BUILD_BLUETOOTH, [test x$have_bluetooth = xyes])
-+build_bluetooth=false
-+AC_ARG_ENABLE(bluetooth,
-+ AC_HELP_STRING([--disable-bluetooth],
-+ [disable bluetooth management panel]),
-+ [case "${enableval}" in
-+ yes) WANT_BLUETOOTH=yes ;;
-+ no) WANT_BLUETOOTH=no ;;
-+ *) AC_MSG_ERROR(bad value ${enableval} for --disable-bluetooth) ;;
-+ esac],
-+ [WANT_BLUETOOTH=yes]) dnl Default value
-+
-+if test x$WANT_BLUETOOTH = xyes; then
-+ # Check for gnome-bluetooth
-+ PKG_CHECK_MODULES(BLUETOOTH, $COMMON_MODULES gnome-bluetooth-1.0 >= 3.3.4)
-+ build_bluetooth=true
-+fi
-+
-+AM_CONDITIONAL(BUILD_BLUETOOTH, [test x$build_bluetooth = xtrue])
-
- # Check for CUPS 1.4 or newer
- AC_ARG_ENABLE([cups],
-@@ -205,11 +205,25 @@
- if test "$host_cpu" = s390 -o "$host_cpu" = s390x; then
- have_wacom=no
- else
-- PKG_CHECK_MODULES(WACOM_PANEL, $COMMON_MODULES
-- gnome-settings-daemon >= $GSD_REQUIRED_VERSION
-- xi >= 1.2 x11 libwacom >= $LIBWACOM_REQUIRED_VERSION
-- gnome-desktop-3.0 >= $GNOME_DESKTOP_REQUIRED_VERSION)
-- have_wacom=yes
-+ build_wacom=false
-+ AC_ARG_ENABLE(wacom,
-+ AC_HELP_STRING([--disable-wacom],
-+ [disable wacom management panel]),
-+ [case "${enableval}" in
-+ yes) WANT_WACOM=yes ;;
-+ no) WANT_WACOM=no ;;
-+ *) AC_MSG_ERROR(bad value ${enableval} for --disable-wacom) ;;
-+ esac],
-+ [WANT_WACOM=yes]) dnl Default value
-+
-+ if test x$WANT_WACOM = xyes; then
-+ PKG_CHECK_MODULES(WACOM_PANEL, $COMMON_MODULES
-+ gnome-settings-daemon >= $GSD_REQUIRED_VERSION
-+ xi >= 1.2 x11 libwacom >= $LIBWACOM_REQUIRED_VERSION
-+ gnome-desktop-3.0 >= $GNOME_DESKTOP_REQUIRED_VERSION)
-+ build_wacom=true
-+ fi
-+ AM_CONDITIONAL(BUILD_WACOM, test "x$build_wacom" = "xtrue")
- fi
- ;;
- *)
-@@ -423,11 +487,16 @@ if test "x$have_networkmanager" = "xyes"; then
- else
- AC_MSG_NOTICE([ Network panel disabled])
- fi
--if test "x$have_bluetooth" = "xyes"; then
-+if test "x$build_bluetooth" = "xtrue"; then
- AC_MSG_NOTICE([** gnome-bluetooth (Bluetooth panel)])
- else
- AC_MSG_NOTICE([ Bluetooth panel disabled])
- fi
-+if test "x$build_color" = "xtrue"; then
-+ AC_MSG_NOTICE([** colord (Color panel)])
-+else
-+ AC_MSG_NOTICE([ Color panel disabled])
-+fi
- if test "x$enable_cups" = "xyes"; then
- AC_MSG_NOTICE([** CUPS (Printers panel)])
- else
-@@ -438,6 +507,11 @@ if test "x$have_cheese" = "xyes"; then
- else
- AC_MSG_NOTICE([ Users panel webcam support disabled])
- fi
-+if test "x$build_online_accounts" = "xtrue"; then
-+ AC_MSG_NOTICE([** gnome-online-accounts (Online Accounts panel)])
-+else
-+ AC_MSG_NOTICE([ Online Accounts panel disabled])
-+fi
- if test "x$with_libsocialweb" = "xyes"; then
- AC_MSG_NOTICE([** libsocialweb (Background panel Flickr support)])
- else
-@@ -448,4 +522,9 @@ if test "x$with_systemd" = "xyes"; then
- else
- AC_MSG_NOTICE([ Using ConsoleKit for session tracking])
- fi
-+if test "x$build_wacom" = "xtrue"; then
-+ AC_MSG_NOTICE([** libwacom (Wacom Graphics Tablet panel)])
-+else
-+ AC_MSG_NOTICE([ Wacom Graphics Tablet panel disabled])
-+fi
- AC_MSG_NOTICE([End options])
-diff --git a/panels/Makefile.am b/panels/Makefile.am
-index 172dd06..134b0c8 100644
---- a/panels/Makefile.am
-+++ b/panels/Makefile.am
-@@ -3,10 +3,8 @@
- background \
- screen \
- power \
-- color \
- display \
- mouse \
-- online-accounts \
- region \
- info \
- sound \
-@@ -31,4 +29,12 @@
- SUBDIRS += bluetooth
- endif
-
-+if BUILD_COLOR
-+SUBDIRS += color
-+endif
-+
-+if BUILD_ONLINE_ACCOUNTS
-+SUBDIRS += online-accounts
-+endif
-+
- -include $(top_srcdir)/git.mk
---
-1.7.8.6
-
diff --git a/gnome-base/gnome-control-center/gnome-control-center-3.5.2.ebuild b/gnome-base/gnome-control-center/gnome-control-center-3.5.2.ebuild
deleted file mode 100644
index f679162..0000000
--- a/gnome-base/gnome-control-center/gnome-control-center-3.5.2.ebuild
+++ /dev/null
@@ -1,128 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI="4"
-GCONF_DEBUG="yes"
-GNOME2_LA_PUNT="yes" # gmodule is used, which uses dlopen
-
-inherit autotools eutils gnome2
-
-DESCRIPTION="GNOME Desktop Configuration Tool"
-HOMEPAGE="http://www.gnome.org/"
-
-LICENSE="GPL-2"
-SLOT="2"
-IUSE="+bluetooth +cheese +colord +cups +gnome-online-accounts +networkmanager +socialweb systemd wacom"
-KEYWORDS="~amd64 ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~x86-solaris"
-
-# XXX: gnome-desktop-2.91.5 is needed for upstream commit c67f7efb
-# XXX: NetworkManager-0.9 support is automagic, make hard-dep once it's released
-#
-# gnome-session-2.91.6-r1 is needed so that 10-user-dirs-update is run at login
-# Latest gsettings-desktop-schemas is neededfor commit 73f9bffb
-# gnome-settings-daemon-3.1.4 is needed for power panel (commit 4f08a325)
-# g-s-d[policykit] needed for bug #403527
-COMMON_DEPEND="
- >=dev-libs/glib-2.31.0:2
- >=x11-libs/gdk-pixbuf-2.23.0:2
- >=x11-libs/gtk+-3.3.5:3
- >=gnome-base/gsettings-desktop-schemas-3.5.1
- >=gnome-base/gnome-desktop-3.5.1:3
- >=gnome-base/gnome-settings-daemon-3.3.92[colord?,policykit]
-
- app-text/iso-codes
- dev-libs/libxml2:2
- gnome-base/gnome-menus:3
- gnome-base/libgtop:2
- media-libs/fontconfig
-
- >=media-libs/libcanberra-0.13[gtk3]
- >=media-sound/pulseaudio-0.9.16[glib]
- >=sys-auth/polkit-0.97
- >=sys-power/upower-0.9.1
- >=x11-libs/libnotify-0.7.3
- >=dev-libs/libpwquality-1.1.0
-
- x11-apps/xmodmap
- x11-libs/libX11
- x11-libs/libXxf86misc
- >=x11-libs/libXi-1.2
-
- bluetooth? ( >=net-wireless/gnome-bluetooth-3.3.4 )
- cheese? (
- media-libs/gstreamer:0.10
- >=media-video/cheese-3.3.5 )
- colord? ( >=x11-misc/colord-0.1.8 )
- cups? ( >=net-print/cups-1.4[dbus] )
- gnome-online-accounts? ( net-libs/gnome-online-accounts )
- networkmanager? (
- >=gnome-extra/nm-applet-0.9.1.90
- >=net-misc/networkmanager-0.8.997 )
- socialweb? ( net-libs/libsocialweb )
- systemd? ( >=sys-apps/systemd-31 )
- wacom? ( >=dev-libs/libwacom-0.5
- x11-libs/libXi )"
-# <gnome-color-manager-3.1.2 has file collisions with g-c-c-3.1.x
-RDEPEND="${COMMON_DEPEND}
- app-admin/apg
- sys-apps/accountsservice
- x11-themes/gnome-icon-theme-symbolic
- colord? ( >=gnome-extra/gnome-color-manager-3 )
- cups? ( net-print/cups-pk-helper )
- !systemd? ( sys-auth/consolekit )
- wacom? ( gnome-base/gnome-settings-daemon[wacom] )
-
- !<gnome-base/gdm-2.91.94
- !<gnome-extra/gnome-color-manager-3.1.2
- !gnome-extra/gnome-media[pulseaudio]
- !<gnome-extra/gnome-media-2.32.0-r300
- !<net-wireless/gnome-bluetooth-3.3.2"
-# PDEPEND to avoid circular dependency
-PDEPEND=">=gnome-base/gnome-session-2.91.6-r1"
-DEPEND="${COMMON_DEPEND}
- x11-proto/xproto
- x11-proto/xf86miscproto
- x11-proto/kbproto
-
- >=sys-devel/gettext-0.17
- >=dev-util/intltool-0.40.1
- virtual/pkgconfig
-
- app-text/scrollkeeper
- >=app-text/gnome-doc-utils-0.10.1
-
- cups? ( sys-apps/sed )
-
- gnome-base/gnome-common"
-# Needed for autoreconf
-# gnome-base/gnome-common
-
-pkg_setup() {
- G2CONF="${G2CONF}
- --disable-update-mimedb
- --disable-static
- $(use_enable bluetooth)
- $(use_with cheese)
- $(use_enable colord color)
- $(use_enable cups)
- $(use_enable gnome-online-accounts goa)
- $(use_with socialweb libsocialweb)
- $(use_enable systemd)
- $(use_enable wacom)"
- DOCS="AUTHORS ChangeLog NEWS README TODO"
-}
-
-src_prepare() {
- # Make some panels optional; requires eautoreconf
- epatch "${FILESDIR}/${PN}-3.5.1-optional-bt-colord-goa-wacom.patch"
- [[ ${PV} != 9999 ]] && eautoreconf
-
- gnome2_src_prepare
-
- # panels/datetime/Makefile.am gets touched as a result of something in our
- # src_prepare(). We need to touch timedated{c,h} to prevent them from being
- # regenerated (bug #415901)
- [[ -f panels/datetime/timedated.h ]] && touch panels/datetime/timedated.h
- [[ -f panels/datetime/timedated.c ]] && touch panels/datetime/timedated.c
-}
diff --git a/gnome-base/gnome-control-center/gnome-control-center-9999.ebuild b/gnome-base/gnome-control-center/gnome-control-center-9999.ebuild
deleted file mode 100644
index 076ba73..0000000
--- a/gnome-base/gnome-control-center/gnome-control-center-9999.ebuild
+++ /dev/null
@@ -1,135 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI="4"
-GCONF_DEBUG="yes"
-GNOME2_LA_PUNT="yes" # gmodule is used, which uses dlopen
-
-inherit autotools eutils gnome2
-if [[ ${PV} = 9999 ]]; then
- inherit gnome2-live
-fi
-
-DESCRIPTION="GNOME Desktop Configuration Tool"
-HOMEPAGE="http://www.gnome.org/"
-
-LICENSE="GPL-2"
-SLOT="2"
-IUSE="+bluetooth +cheese +colord +cups +gnome-online-accounts +networkmanager +socialweb systemd wacom"
-if [[ ${PV} = 9999 ]]; then
- KEYWORDS=""
-else
- KEYWORDS="~amd64 ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~x86-solaris"
-fi
-
-# XXX: gnome-desktop-2.91.5 is needed for upstream commit c67f7efb
-# XXX: NetworkManager-0.9 support is automagic, make hard-dep once it's released
-#
-# gnome-session-2.91.6-r1 is needed so that 10-user-dirs-update is run at login
-# Latest gsettings-desktop-schemas is neededfor commit 73f9bffb
-# gnome-settings-daemon-3.1.4 is needed for power panel (commit 4f08a325)
-# g-s-d[policykit] needed for bug #403527
-COMMON_DEPEND="
- >=dev-libs/glib-2.31.0:2
- >=x11-libs/gdk-pixbuf-2.23.0:2
- >=x11-libs/gtk+-3.3.5:3
- >=gnome-base/gsettings-desktop-schemas-3.5.1
- >=gnome-base/gnome-desktop-3.5.1:3
- >=gnome-base/gnome-settings-daemon-3.3.92[colord?,policykit]
-
- app-text/iso-codes
- dev-libs/libxml2:2
- gnome-base/gnome-menus:3
- gnome-base/libgtop:2
- media-libs/fontconfig
-
- >=media-libs/libcanberra-0.13[gtk3]
- >=media-sound/pulseaudio-0.9.16[glib]
- >=sys-auth/polkit-0.97
- >=sys-power/upower-0.9.1
- >=x11-libs/libnotify-0.7.3
- >=dev-libs/libpwquality-1.1.0
-
- x11-apps/xmodmap
- x11-libs/libX11
- x11-libs/libXxf86misc
- >=x11-libs/libXi-1.2
-
- bluetooth? ( >=net-wireless/gnome-bluetooth-3.3.4 )
- cheese? (
- media-libs/gstreamer:0.10
- >=media-video/cheese-3.3.5 )
- colord? ( >=x11-misc/colord-0.1.8 )
- cups? ( >=net-print/cups-1.4[dbus] )
- gnome-online-accounts? ( net-libs/gnome-online-accounts )
- networkmanager? (
- >=gnome-extra/nm-applet-0.9.1.90
- >=net-misc/networkmanager-0.8.997 )
- socialweb? ( net-libs/libsocialweb )
- systemd? ( >=sys-apps/systemd-31 )
- wacom? ( >=dev-libs/libwacom-0.5
- x11-libs/libXi )"
-# <gnome-color-manager-3.1.2 has file collisions with g-c-c-3.1.x
-RDEPEND="${COMMON_DEPEND}
- app-admin/apg
- sys-apps/accountsservice
- x11-themes/gnome-icon-theme-symbolic
- colord? ( >=gnome-extra/gnome-color-manager-3 )
- cups? ( net-print/cups-pk-helper )
- !systemd? ( sys-auth/consolekit )
- wacom? ( gnome-base/gnome-settings-daemon[wacom] )
-
- !<gnome-base/gdm-2.91.94
- !<gnome-extra/gnome-color-manager-3.1.2
- !gnome-extra/gnome-media[pulseaudio]
- !<gnome-extra/gnome-media-2.32.0-r300
- !<net-wireless/gnome-bluetooth-3.3.2"
-# PDEPEND to avoid circular dependency
-PDEPEND=">=gnome-base/gnome-session-2.91.6-r1"
-DEPEND="${COMMON_DEPEND}
- x11-proto/xproto
- x11-proto/xf86miscproto
- x11-proto/kbproto
-
- >=sys-devel/gettext-0.17
- >=dev-util/intltool-0.40.1
- virtual/pkgconfig
-
- app-text/scrollkeeper
- >=app-text/gnome-doc-utils-0.10.1
-
- cups? ( sys-apps/sed )
-
- gnome-base/gnome-common"
-# Needed for autoreconf
-# gnome-base/gnome-common
-
-pkg_setup() {
- G2CONF="${G2CONF}
- --disable-update-mimedb
- --disable-static
- $(use_enable bluetooth)
- $(use_with cheese)
- $(use_enable colord color)
- $(use_enable cups)
- $(use_enable gnome-online-accounts goa)
- $(use_with socialweb libsocialweb)
- $(use_enable systemd)
- $(use_enable wacom)"
- DOCS="AUTHORS ChangeLog NEWS README TODO"
-}
-
-src_prepare() {
- # Make some panels optional; requires eautoreconf
- epatch "${FILESDIR}/${PN}-3.5.3-optional-bt-colord-goa-wacom.patch"
- [[ ${PV} != 9999 ]] && eautoreconf
-
- gnome2_src_prepare
-
- # panels/datetime/Makefile.am gets touched as a result of something in our
- # src_prepare(). We need to touch timedated{c,h} to prevent them from being
- # regenerated (bug #415901)
- [[ -f panels/datetime/timedated.h ]] && touch panels/datetime/timedated.h
- [[ -f panels/datetime/timedated.c ]] && touch panels/datetime/timedated.c
-}
diff --git a/gnome-base/gnome-session/Manifest b/gnome-base/gnome-session/Manifest
deleted file mode 100644
index aae1902..0000000
--- a/gnome-base/gnome-session/Manifest
+++ /dev/null
@@ -1,6 +0,0 @@
-AUX 10-user-dirs-update-gnome-r1 299 RMD160 c76707fdce421431884beeabd60d5f0ce7716d26 SHA1 6adf982b43d2eeaa86622ecfd6b5f70eb772a9c2 SHA256 4baf3771a18f87db323580d868f232bf33830f72dcc54b4b3aa3d9bc9cce05e5
-AUX 15-xdg-data-gnome-r1 262 RMD160 6305f879183ecafae77d4cfd7bf035d44d801924 SHA1 99c5eb8187a608ab0b8cffe68eedb10e73dc1968 SHA256 860767c9ee4fc9e0d29c20cd8143311db7d0981ed4f590069d0d9edf46ec0b24
-AUX Gnome 2391 RMD160 dee0875327352ae70f71b73257deb8ccc5bbc3ba SHA1 9d6f5c7c4f7aee36ea64b30c57b9cb9818664c42 SHA256 ffc912945278c88ef854c8988b0042675ffa78525592f34580ee76c1f25309d3
-AUX defaults.list 14665 RMD160 4911cb92c2b4fb6a2cf0df760a6b8b69edb7633d SHA1 1954df452a625450cb3059f86774da83f02f40e7 SHA256 34af159eee20aa4f169fa0e368be33117d828b2db6daab7dc4826d9330719b21
-DIST gnome-session-3.5.2.tar.xz 717776 RMD160 758394e93aedfa41d5c1e05666d4bdbaadf4fbc0 SHA1 337051ba10dc8f21ca31aa97e4590dbdcd4895d2 SHA256 a6444668c9f6772232fcf31ba4bc18b8f2f37b80924b77bd486fb0630ff0184f
-EBUILD gnome-session-3.5.2.ebuild 3064 RMD160 7e0887ce12021240a89a60540be2240e85a315fb SHA1 7c22cdc9cab3a85be2ae9738ad8848255c199ed8 SHA256 c4abe9f9cd9505f24cae85cda70825042730b2637d8e270388b2233888ad2554
diff --git a/gnome-base/gnome-session/files/10-user-dirs-update-gnome-r1 b/gnome-base/gnome-session/files/10-user-dirs-update-gnome-r1
deleted file mode 100755
index 61fd08c..0000000
--- a/gnome-base/gnome-session/files/10-user-dirs-update-gnome-r1
+++ /dev/null
@@ -1,10 +0,0 @@
-#!/bin/sh
-
-# Create various XDG directories, and write ~/.config/user-dirs.dirs, etc.
-# That file is read by glib to get XDG_PICTURES_DIR, etc
-
-if [ "$DESKTOP_SESSION" = "gnome" -o "$DESKTOP_SESSION" = "cinnamon" ]; then
- if type xdg-user-dirs-update &>/dev/null; then
- xdg-user-dirs-update
- fi
-fi
diff --git a/gnome-base/gnome-session/files/15-xdg-data-gnome-r1 b/gnome-base/gnome-session/files/15-xdg-data-gnome-r1
deleted file mode 100644
index 5eaa698..0000000
--- a/gnome-base/gnome-session/files/15-xdg-data-gnome-r1
+++ /dev/null
@@ -1,9 +0,0 @@
-#!/bin/sh
-
-if [ "$DESKTOP_SESSION" = "gnome" -o "$DESKTOP_SESSION" = "cinnamon" ]; then
- if [ -z "$XDG_DATA_DIRS" ]; then
- export XDG_DATA_DIRS=/usr/share/gnome:/usr/local/share/:/usr/share/
- else
- export XDG_DATA_DIRS=/usr/share/gnome:"$XDG_DATA_DIRS"
- fi
-fi
diff --git a/gnome-base/gnome-session/files/Gnome b/gnome-base/gnome-session/files/Gnome
deleted file mode 100644
index 55d39b6..0000000
--- a/gnome-base/gnome-session/files/Gnome
+++ /dev/null
@@ -1,109 +0,0 @@
-#!/bin/sh
-#
-# This file has bitrotted badly. Someone needs to clean this up.
-#
-
-if [ -f /etc/xdg/menus/gnome-applications.menu ] ; then
- export XDG_MENU_PREFIX=gnome-
-fi
-
-for errfile in "$HOME/.gnomerc-errors" "${TMPDIR-/tmp}/gnomerc-$USER" "/tmp/gnomerc-$USER"
-do
- if ( cp /dev/null "$errfile" 2> /dev/null )
- then
- chmod 600 "$errfile"
- exec > "$errfile" 2>&1
- break
- fi
-done
-#
-# Distributors:
-# You should modify the paths here to fit your distro
-# If you need to do so, send me (jirka@5z.com) a patch
-# and I'll try to make the script detect the distro stuff
-#
-
-userresources=$HOME/.Xresources
-usermodmap=$HOME/.Xmodmap
-userxkbmap=$HOME/.Xkbmap
-
-sysresources=/etc/X11/Xresources
-sysmodmap=/etc/X11/Xmodmap
-sysxkbmap=/etc/X11/Xkbmap
-
-rh6sysresources=/etc/X11/xinit/Xresources
-rh6sysmodmap=/etc/X11/xinit/Xmodmap
-
-if [ -x "$HOME/.gnomerc" ]; then
- command="$HOME/.gnomerc"
-elif [ -x /etc/X11/gdm/gnomerc ]; then
- command="/etc/X11/gdm/gnomerc"
-else
- # as fallback in case the config is screwed
- command=`which gnome-session`
-fi
-
-# merge in defaults
-if [ -f "$rh6sysresources" ]; then
- xrdb -merge "$rh6sysresources"
-fi
-
-if [ -f "$sysresources" ]; then
- xrdb -merge "$sysresources"
-fi
-
-if [ -f "$userresources" ]; then
- xrdb -merge "$userresources"
-fi
-
-# merge in keymaps
-if [ -f "$sysxkbmap" ]; then
- setxkbmap `cat "$sysxkbmap"`
- XKB_IN_USE=yes
-fi
-
-if [ -f "$userxkbmap" ]; then
- setxkbmap `cat "$userxkbmap"`
- XKB_IN_USE=yes
-fi
-
-#
-# Eeek, this seems like too much magic here
-#
-if [ -z "$XKB_IN_USE" ] && [ ! -L /etc/X11/X ]; then
- if grep '^exec.*/Xsun' /etc/X11/X > /dev/null 2>&1 && [ -f /etc/X11/XF86Config ]; then
- xkbsymbols=`sed -n -e 's/^[ ]*XkbSymbols[ ]*"\(.*\)".*$/\1/p' /etc/X11/XF86Config`
- if [ -n "$xkbsymbols" ]; then
- setxkbmap -symbols "$xkbsymbols"
- XKB_IN_USE=yes
- fi
- fi
-fi
-
-# xkb and xmodmap don't play nice together
-if [ -z "$XKB_IN_USE" ]; then
- if [ -f "$rh6sysmodmap" ]; then
- xmodmap "$rh6sysmodmap"
- fi
-
- if [ -f "$sysmodmap" ]; then
- xmodmap "$sysmodmap"
- fi
-
- if [ -f "$usermodmap" ]; then
- xmodmap "$usermodmap"
- fi
-fi
-
-unset XKB_IN_USE
-
-# run all system xinitrc shell scripts.
-if [ -d /etc/X11/xinit/xinitrc.d ]; then
- for i in /etc/X11/xinit/xinitrc.d/* ; do
- if [ -x "$i" ]; then
- . "$i"
- fi
- done
-fi
-
-exec $command
diff --git a/gnome-base/gnome-session/files/defaults.list b/gnome-base/gnome-session/files/defaults.list
deleted file mode 100644
index bac841c..0000000
--- a/gnome-base/gnome-session/files/defaults.list
+++ /dev/null
@@ -1,336 +0,0 @@
-[Default Applications]
-application/rtf=abiword.desktop
-application/x-abiword=abiword.desktop
-text/abiword=abiword.desktop
-text/richtext=abiword.desktop
-text/rtf=abiword.desktop
-text/x-abiword=abiword.desktop
-text/x-xml-abiword=abiword.desktop
-x-content/blank-bd=brasero-nautilus.desktop
-x-content/blank-dvd=brasero-nautilus.desktop
-x-content/blank-cd=brasero-nautilus.desktop
-x-content/blank-hddvd=brasero-nautilus.desktop
-application/x-dia-diagram=dia.desktop
-image/bmp=eog.desktop
-image/gif=eog.desktop
-image/jpeg=eog.desktop
-image/jpg=eog.desktop
-image/pjpeg=eog.desktop
-image/png=eog.desktop
-image/svg+xml=eog.desktop
-image/svg+xml-compressed=eog.desktop
-image/x-bmp=eog.desktop
-image/x-gray=eog.desktop
-image/x-icb=eog.desktop
-image/x-ico=eog.desktop
-image/x-pcx=eog.desktop
-image/x-png=eog.desktop
-image/x-portable-anymap=eog.desktop
-image/x-portable-bitmap=eog.desktop
-image/x-portable-graymap=eog.desktop
-image/x-portable-pixmap=eog.desktop
-image/x-xbitmap=eog.desktop
-image/x-xpixmap=eog.desktop
-image/vnd.wap.wbmp=eog.desktop
-image/g3fax=gimp.desktop
-image/x-compressed-xcf=gimp.desktop
-image/x-fits=gimp.desktop
-image/x-icon=gimp.desktop
-image/x-psd=gimp.desktop
-image/x-sgi=gimp.desktop
-image/x-sun-raster=gimp.desktop
-image/x-tga=gimp.desktop
-image/x-xcf=gimp.desktop
-image/x-xwindowdump=gimp.desktop
-application/xhtml+xml=firefox.desktop;firefox-3.6.desktop;epiphany.desktop
-text/html=firefox.desktop;firefox-3.6.desktop;epiphany.desktop
-application/pdf=evince.desktop
-application/x-bzpdf=evince.desktop
-application/x-gzpdf=evince.desktop
-application/postscript=evince.desktop
-application/x-bzpostscript=evince.desktop
-application/x-gzpostscript=evince.desktop
-image/x-eps=evince.desktop
-image/x-bzeps=evince.desktop
-image/x-gzeps=evince.desktop
-application/x-dvi=evince.desktop
-application/x-bzdvi=evince.desktop
-application/x-gzdvi=evince.desktop
-image/vnd.djvu=evince.desktop
-image/tiff=evince.desktop
-application/x-cbr=evince.desktop
-application/x-cbz=evince.desktop
-application/x-cb7=evince.desktop
-application/x-7z-compressed=file-roller.desktop
-application/x-7z-compressed-tar=file-roller.desktop
-application/x-ace=file-roller.desktop
-application/x-alz=file-roller.desktop
-application/x-ar=file-roller.desktop
-application/x-arj=file-roller.desktop
-application/x-bzip=file-roller.desktop
-application/x-bzip-compressed-tar=file-roller.desktop
-application/x-bzip1=file-roller.desktop
-application/x-bzip1-compressed-tar=file-roller.desktop
-application/x-cabinet=file-roller.desktop
-application/x-cd-image=file-roller.desktop
-application/x-compress=file-roller.desktop
-application/x-compressed-tar=file-roller.desktop
-application/x-cpio=file-roller.desktop
-application/x-deb=file-roller.desktop
-application/x-ear=file-roller.desktop
-application/x-gtar=file-roller.desktop
-application/x-gzip=file-roller.desktop
-application/x-java-archive=file-roller.desktop
-application/x-lha=file-roller.desktop
-application/x-lhz=file-roller.desktop
-application/x-lzip=file-roller.desktop
-application/x-lzip-compressed-tar=file-roller.desktop
-application/x-lzma=file-roller.desktop
-application/x-lzma-compressed-tar=file-roller.desktop
-application/x-lzop=file-roller.desktop
-application/x-lzop-compressed-tar=file-roller.desktop
-application/x-rar=file-roller.desktop
-application/x-rar-compressed=file-roller.desktop
-application/x-rpm=file-roller.desktop
-application/x-rzip=file-roller.desktop
-application/x-tar=file-roller.desktop
-application/x-tarz=file-roller.desktop
-application/x-stuffit=file-roller.desktop
-application/x-war=file-roller.desktop
-application/x-xz=file-roller.desktop
-application/x-xz-compressed-tar=file-roller.desktop
-application/x-zip=file-roller.desktop
-application/x-zip-compressed=file-roller.desktop
-application/x-zoo=file-roller.desktop
-application/zip=file-roller.desktop
-multipart/x-zip=file-roller.desktop
-text/plain=gedit.desktop
-text/css=gedit.desktop
-text/javascript=gedit.desktop
-text/mathml=gedit.desktop
-text/x-csrc=gedit.desktop
-text/x-chdr=gedit.desktop
-text/x-dtd=gedit.desktop
-text/x-java=gedit.desktop
-text/x-javascript=gedit.desktop
-text/x-patch=gedit.desktop
-text/x-perl=gedit.destkop
-text/x-php=gedit.destkop
-text/x-python=gedit.destkop
-text/x-sql=gedit.desktop
-text/xml=gedit.desktop
-application/javascript=gedit.destkop
-application/x-cgi=gedit.desktop
-application/x-javascript=gedit.desktop
-application/x-perl=gedit.desktop
-application/x-php=gedit.desktop
-application/x-python=gedit.desktop
-application/xml=gedit.desktop
-application/xml-dtd=gedit.desktop
-application/x-font-ttf=gnome-font-viewer.desktop
-application/x-font-pcf=gnome-font-viewer.desktop
-application/x-font-type1=gnome-font-viewer.desktop
-application/x-font-otf=gnome-font-viewer.desktop
-application/csv=gnumeric.desktop
-application/excel=gnumeric.desktop
-application/msexcel=gnumeric.desktop
-application/tab-separated-values=gnumeric.desktop
-application/vnd.lotus-1-2-3=gnumeric.desktop
-application/vnd.ms-excel=gnumeric.desktop
-application/x-123=gnumeric.desktop
-application/x-applix-spreadsheet=gnumeric.desktop
-application/x-dbase=gnumeric.desktop
-application/x-dbf=gnumeric.desktop
-application/x-dos_ms_excel=gnumeric.desktop
-application/x-excel=gnumeric.desktop
-application/x-gnumeric=gnumeric.desktop
-application/x-mps=gnumeric.desktop
-application/x-ms-excel=gnumeric.desktop
-application/x-msexcel=gnumeric.desktop
-application/x-oleo=gnumeric.desktop
-application/x-planperfect=gnumeric.desktop
-application/x-quattropro=gnumeric.desktop
-application/x-sc=gnumeric.desktop
-application/x-sylk=gnumeric.desktop
-application/x-xbase=gnumeric.desktop
-application/x-xls=gnumeric.desktop
-application/xls=gnumeric.desktop
-text/comma-separated-values=gnumeric.desktop
-text/csv=gnumeric.desktop
-text/spreadsheet=gnumeric.desktop
-text/tab-separated-values=gnumeric.desktop
-text/x-comma-separated-values=gnumeric.desktop
-text/x-csv=gnumeric.desktop
-zz-application/zz-winassoc-xls=gnumeric.desktop
-x-content/software=nautilus-autorun-software.desktop
-x-directory/gnome-default-handler=nautilus-folder-handler.desktop
-x-directory/normal=nautilus-folder-handler.desktop
-inode/directory=nautilus-folder-handler.desktop
-application/x-gnome-saved-search=nautilus-folder-handler.desktop
-application/vnd.oasis.opendocument.spreadsheet=libreoffice-calc.desktop;openoffice.org-calc.desktop
-application/vnd.oasis.opendocument.spreadsheet-template=libreoffice-calc.desktop;openoffice.org-calc.desktop
-application/vnd.sun.xml.calc=libreoffice-calc.desktop;openoffice.org-calc.desktop
-application/vnd.sun.xml.calc.template=libreoffice-calc.desktop;openoffice.org-calc.desktop
-application/vnd.stardivision.calc=libreoffice-calc.desktop;openoffice.org-calc.desktop
-application/vnd.stardivision.chart=libreoffice-calc.desktop;openoffice.org-calc.desktop
-application/vnd.openxmlformats-officedocument.spreadsheetml.sheet=libreoffice-calc.desktop;openoffice.org-calc.desktop
-application/vnd.ms-excel.sheet.macroenabled.12=libreoffice-calc.desktop;openoffice.org-calc.desktop
-application/vnd.openxmlformats-officedocument.spreadsheetml.template=libreoffice-calc.desktop;openoffice.org-calc.desktop
-application/vnd.ms-excel.template.macroenabled.12=libreoffice-calc.desktop;openoffice.org-calc.desktop
-application/vnd.ms-excel.sheet.binary.macroenabled.12=libreoffice-calc.desktop;openoffice.org-calc.desktop
-application/vnd.oasis.opendocument.graphics=libreoffice-draw.desktop;openoffice.org-draw.desktop
-application/vnd.oasis.opendocument.graphics-template=libreoffice-draw.desktop;openoffice.org-draw.desktop
-application/vnd.sun.xml.draw=libreoffice-draw.desktop;openoffice.org-draw.desktop
-application/vnd.sun.xml.draw.template=libreoffice-draw.desktop;openoffice.org-draw.desktop
-application/vnd.stardivision.draw=libreoffice-draw.desktop;openoffice.org-draw.desktop
-application/vnd.oasis.opendocument.presentation=libreoffice-impress.desktop;openoffice.org-impress.desktop
-application/vnd.oasis.opendocument.presentation-template=libreoffice-impress.desktop;openoffice.org-impress.desktop
-application/vnd.sun.xml.impress=libreoffice-impress.desktop;openoffice.org-impress.desktop
-application/vnd.sun.xml.impress.template=libreoffice-impress.desktop;openoffice.org-impress.desktop
-application/vnd.stardivision.impress=libreoffice-impress.desktop;openoffice.org-impress.desktop
-application/mspowerpoint=libreoffice-impress.desktop;openoffice.org-impress.desktop
-application/vnd.ms-powerpoint=libreoffice-impress.desktop;openoffice.org-impress.desktop
-application/vnd.openxmlformats-officedocument.presentationml.presentation=libreoffice-impress.desktop;openoffice.org-impress.desktop
-application/vnd.ms-powerpoint.presentation.macroenabled.12=libreoffice-impress.desktop;openoffice.org-impress.desktop
-application/vnd.openxmlformats-officedocument.presentationml.template=libreoffice-impress.desktop;openoffice.org-impress.desktop
-application/vnd.ms-powerpoint.template.macroenabled.12=libreoffice-impress.desktop;openoffice.org-impress.desktop
-application/vnd.oasis.opendocument.formula=libreoffice-math.desktop;openoffice.org-math.desktop
-application/vnd.sun.xml.math=libreoffice-math.desktop;openoffice.org-math.desktop
-application/vnd.stardivision.math=libreoffice-math.desktop;openoffice.org-math.desktop
-application/vnd.oasis.opendocument.text=libreoffice-writer.desktop;openoffice.org-writer.desktop
-application/vnd.oasis.opendocument.text-template=libreoffice-writer.desktop;openoffice.org-writer.desktop
-application/vnd.oasis.opendocument.text-web=libreoffice-writer.desktop;openoffice.org-writer.desktop
-application/vnd.oasis.opendocument.text-master=libreoffice-writer.desktop;openoffice.org-writer.desktop
-application/vnd.sun.xml.writer=libreoffice-writer.desktop;openoffice.org-writer.desktop
-application/vnd.sun.xml.writer.template=libreoffice-writer.desktop;openoffice.org-writer.desktop
-application/vnd.sun.xml.writer.global=libreoffice-writer.desktop;openoffice.org-writer.desktop
-application/vnd.stardivision.writer=libreoffice-writer.desktop;openoffice.org-writer.desktop
-application/msword=libreoffice-writer.desktop;openoffice.org-writer.desktop
-application/vnd.ms-word=libreoffice-writer.desktop;openoffice.org-writer.desktop
-application/x-doc=libreoffice-writer.desktop;openoffice.org-writer.desktop
-application/vnd.wordperfect=libreoffice-writer.desktop;openoffice.org-writer.desktop
-application/wordperfect=libreoffice-writer.desktop;openoffice.org-writer.desktop
-application/vnd.openxmlformats-officedocument.wordprocessingml.document=libreoffice-writer.desktop;openoffice.org-writer.desktop
-application/vnd.ms-word.document.macroenabled.12=libreoffice-writer.desktop;openoffice.org-writer.desktop
-application/vnd.openxmlformats-officedocument.wordprocessingml.template=libreoffice-writer.desktop;openoffice.org-writer.desktop
-application/vnd.ms-word.template.macroenabled.12=libreoffice-writer.desktop;openoffice.org-writer.desktop
-x-content/audio-player=rhythmbox.desktop
-x-content/audio-cdda=sound-juicer.desktop
-application/x-shockwave-flash=swfdec-player.desktop
-application/futuresplash=swfdec-player.desktop
-application/mxf=totem.desktop
-application/ogg=totem.desktop
-application/ram=totem.desktop
-application/sdp=totem.desktop
-application/smil=totem.desktop
-application/smil+xml=totem.desktop
-application/vnd.ms-wpl=totem.desktop
-application/vnd.rn-realmedia=totem.desktop
-application/x-extension-m4a=totem.desktop
-application/x-extension-mp4=totem.desktop
-application/x-flac=totem.desktop
-application/x-flash-video=totem.desktop
-application/x-lyx=lyx.desktop
-application/x-matroska=totem.desktop
-application/x-netshow-channel=totem.desktop
-application/x-ogg=totem.desktop
-application/x-quicktime-media-link=totem.desktop
-application/x-quicktimeplayer=totem.desktop
-application/x-shorten=totem.desktop
-application/x-smil=totem.desktop
-application/xspf+xml=totem.desktop
-audio/3gpp=totem.desktop
-audio/ac3=totem.desktop
-audio/AMR=totem.desktop
-audio/AMR-WB=totem.desktop
-audio/basic=totem.desktop
-audio/midi=totem.desktop
-audio/mp4=totem.desktop
-audio/mpeg=totem.desktop
-audio/mpegurl=totem.desktop
-audio/ogg=totem.desktop
-audio/prs.sid=totem.desktop
-audio/vnd.rn-realaudio=totem.desktop
-audio/x-ape=totem.desktop
-audio/x-flac=totem.desktop
-audio/x-gsm=totem.desktop
-audio/x-it=totem.desktop
-audio/x-m4a=totem.desktop
-audio/x-matroska=totem.desktop
-audio/x-mod=totem.desktop
-audio/x-mp3=totem.desktop
-audio/x-mpeg=totem.desktop
-audio/x-mpegurl=totem.desktop
-audio/x-ms-asf=totem.desktop
-audio/x-ms-asx=totem.desktop
-audio/x-ms-wax=totem.desktop
-audio/x-ms-wma=totem.desktop
-audio/x-musepack=totem.desktop
-audio/x-pn-aiff=totem.desktop
-audio/x-pn-au=totem.desktop
-audio/x-pn-realaudio=totem.desktop
-audio/x-pn-realaudio-plugin=totem.desktop
-audio/x-pn-wav=totem.desktop
-audio/x-pn-windows-acm=totem.desktop
-audio/x-realaudio=totem.desktop
-audio/x-real-audio=totem.desktop
-audio/x-sbc=totem.desktop
-audio/x-scpls=totem.desktop
-audio/x-speex=totem.desktop
-audio/x-tta=totem.desktop
-audio/x-vorbis=totem.desktop
-audio/x-vorbis+ogg=totem.desktop
-audio/x-wav=totem.desktop
-audio/x-wavpack=totem.desktop
-audio/x-xm=totem.desktop
-image/vnd.rn-realpix=totem.desktop
-image/x-pict=totem.desktop
-misc/ultravox=totem.desktop
-text/google-video-pointer=totem.desktop
-text/x-google-video-pointer=totem.desktop
-video/3gpp=totem.desktop
-video/dv=totem.desktop
-video/fli=totem.desktop
-video/flv=totem.desktop
-video/mp2t=totem.desktop
-video/mp4=totem.desktop
-video/mp4v-es=totem.desktop
-video/mpeg=totem.desktop
-video/msvideo=totem.desktop
-video/ogg=totem.desktop
-video/quicktime=totem.desktop
-video/vivo=totem.desktop
-video/vnd.divx=totem.desktop
-video/vnd.rn-realvideo=totem.desktop
-video/vnd.vivo=totem.desktop
-video/webm=totem.desktop
-video/x-anim=totem.desktop
-video/x-avi=totem.desktop
-video/x-flc=totem.desktop
-video/x-fli=totem.desktop
-video/x-flic=totem.desktop
-video/x-flv=totem.desktop
-video/x-m4v=totem.desktop
-video/x-matroska=totem.desktop
-video/x-mpeg=totem.desktop
-video/x-ms-asf=totem.desktop
-video/x-ms-asx=totem.desktop
-video/x-msvideo=totem.desktop
-video/x-ms-wm=totem.desktop
-video/x-ms-wmv=totem.desktop
-video/x-ms-wmx=totem.desktop
-video/x-ms-wvx=totem.desktop
-video/x-nsv=totem.desktop
-video/x-ogm+ogg=totem.desktop
-video/x-theora+ogg=totem.desktop
-video/x-totem-stream=totem.desktop
-x-content/video-dvd=totem.desktop
-x-content/video-vcd=totem.desktop
-x-content/video-svcd=totem.desktop
-x-scheme-handler/ghelp=yelp.desktop;
-x-scheme-handler/help=yelp.desktop;
-x-scheme-handler/http=firefox.desktop;epiphany.desktop
-x-scheme-handler/https=firefox.desktop;epiphany.desktop
-x-scheme-handler/mailto=evolution.desktop
-application/x-bittorrent=transmission-gtk.desktop;deluge.desktop
-x-scheme-handler/magnet=transmission-gtk.desktop;deluge.desktop
diff --git a/gnome-base/gnome-session/gnome-session-3.5.2.ebuild b/gnome-base/gnome-session/gnome-session-3.5.2.ebuild
deleted file mode 100644
index fb9a129..0000000
--- a/gnome-base/gnome-session/gnome-session-3.5.2.ebuild
+++ /dev/null
@@ -1,103 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/gnome-base/gnome-session/gnome-session-3.4.2.1.ebuild,v 1.1 2012/05/24 05:18:25 tetromino Exp $
-
-EAPI="4"
-GCONF_DEBUG="yes"
-
-inherit gnome2
-
-DESCRIPTION="Gnome session manager"
-HOMEPAGE="http://www.gnome.org/"
-
-LICENSE="GPL-2 LGPL-2 FDL-1.1"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~x86-solaris"
-IUSE="doc elibc_FreeBSD ipv6 systemd"
-
-# x11-misc/xdg-user-dirs{,-gtk} are needed to create the various XDG_*_DIRs, and
-# create .config/user-dirs.dirs which is read by glib to get G_USER_DIRECTORY_*
-# xdg-user-dirs-update is run during login (see 10-user-dirs-update-gnome below).
-# gdk-pixbuf used in the inhibit dialog
-COMMON_DEPEND=">=dev-libs/glib-2.28.0:2
- x11-libs/gdk-pixbuf:2
- >=x11-libs/gtk+-2.90.7:3
- >=dev-libs/json-glib-0.10
- >=dev-libs/dbus-glib-0.76
- >=gnome-base/gconf-2:2
- >=sys-power/upower-0.9.0
- elibc_FreeBSD? ( dev-libs/libexecinfo )
-
- virtual/opengl
- x11-libs/libSM
- x11-libs/libICE
- x11-libs/libXau
- x11-libs/libX11
- x11-libs/libXcomposite
- x11-libs/libXext
- x11-libs/libXrender
- x11-libs/libXtst
- x11-misc/xdg-user-dirs
- x11-misc/xdg-user-dirs-gtk
- x11-apps/xdpyinfo"
-# Pure-runtime deps from the session files should *NOT* be added here
-# Otherwise, things like gdm pull in gnome-shell
-# gnome-themes-standard is needed for the failwhale dialog themeing
-# sys-apps/dbus[X] is needed for session management
-RDEPEND="${COMMON_DEPEND}
- gnome-base/gnome-settings-daemon
- >=gnome-base/gsettings-desktop-schemas-0.1.7
- >=x11-themes/gnome-themes-standard-2.91.92
- sys-apps/dbus[X]
- systemd? ( >=sys-apps/systemd-38 )
- !systemd? ( sys-auth/consolekit )"
-DEPEND="${COMMON_DEPEND}
- >=dev-lang/perl-5
- >=sys-devel/gettext-0.10.40
- >=dev-util/intltool-0.40.6
- virtual/pkgconfig
- !<gnome-base/gdm-2.20.4
- doc? (
- app-text/xmlto
- dev-libs/libxslt )"
-# gnome-common needed for eautoreconf
-# gnome-base/gdm does not provide gnome.desktop anymore
-
-pkg_setup() {
- G2CONF="${G2CONF}
- --disable-deprecation-flags
- --disable-schemas-compile
- --docdir="${EPREFIX}/usr/share/doc/${PF}"
- $(use_enable doc docbook-docs)
- $(use_enable ipv6)
- $(use_enable systemd)"
- DOCS="AUTHORS ChangeLog NEWS README"
-}
-
-src_install() {
- gnome2_src_install
-
- dodir /etc/X11/Sessions
- exeinto /etc/X11/Sessions
- doexe "${FILESDIR}/Gnome"
-
- dodir /usr/share/gnome/applications/
- insinto /usr/share/gnome/applications/
- doins "${FILESDIR}/defaults.list"
-
- dodir /etc/X11/xinit/xinitrc.d/
- exeinto /etc/X11/xinit/xinitrc.d/
- newexe "${FILESDIR}/15-xdg-data-gnome-r1" 15-xdg-data-gnome
-
- # This should be done here as discussed in bug #270852
- newexe "${FILESDIR}/10-user-dirs-update-gnome-r1" 10-user-dirs-update-gnome
-}
-
-pkg_postinst() {
- gnome2_pkg_postinst
-
- if ! has_version gnome-base/gdm && ! has_version kde-base/kdm; then
- ewarn "If you use a custom .xinitrc for your X session,"
- ewarn "make sure that the commands in the xinitrc.d scripts are run."
- fi
-}
diff --git a/gnome-base/gnome-settings-daemon/Manifest b/gnome-base/gnome-settings-daemon/Manifest
deleted file mode 100644
index 1527dad..0000000
--- a/gnome-base/gnome-settings-daemon/Manifest
+++ /dev/null
@@ -1,4 +0,0 @@
-AUX gnome-settings-daemon-3.5.1-optional-color-wacom.patch 4125 RMD160 93deeffb9033393077d407ac1407320437c53260 SHA1 8ff8535509e5b4e4dac5609ccffff3c993b28a38 SHA256 8c58ff638e33a93cb10b00e0dcf1b3c4729ff1ac055f183d81956acee34a58c5
-DIST gnome-settings-daemon-3.5.2.tar.xz 1439608 RMD160 39fe0007e4233ba6d9cbe3fdc99733825d3d1106 SHA1 b2d8befa134b786d454752c3e3f0c8141b1a8d58 SHA256 ed9be1e9500ca63c80d8c7e11bb5ae0c21cb392fc7a1c45631765b526ddc1bd5
-EBUILD gnome-settings-daemon-3.5.2.ebuild 3074 RMD160 b29090e4224a020cd23a6b5fe6bb3bcfbd546779 SHA1 030ca2988243528bfa7bb5c5691c80714457e0f8 SHA256 3dfbe95cffb6e6b3549b1d98f48ae6fcefb89fcdc69f5676defe7b80224b6142
-EBUILD gnome-settings-daemon-9999.ebuild 3179 RMD160 7ec565245662016effc47f348e88b1491988336b SHA1 0c223dc233a5ac936894eb956fda1a4cceccaa1d SHA256 d80b31eedaa3087734bc462acdfadd0c30b8451adba92384e59c322f6e4f2329
diff --git a/gnome-base/gnome-settings-daemon/files/gnome-settings-daemon-3.5.1-optional-color-wacom.patch b/gnome-base/gnome-settings-daemon/files/gnome-settings-daemon-3.5.1-optional-color-wacom.patch
deleted file mode 100644
index 4df1193..0000000
--- a/gnome-base/gnome-settings-daemon/files/gnome-settings-daemon-3.5.1-optional-color-wacom.patch
+++ /dev/null
@@ -1,110 +0,0 @@
-diff -Naur gnome-settings-daemon-3.3.92//configure.ac gnome-settings-daemon-3.3.92.new//configure.ac
---- gnome-settings-daemon-3.3.92//configure.ac 2012-03-19 14:23:38.000000000 +0530
-+++ gnome-settings-daemon-3.3.92.new//configure.ac 2012-03-25 11:36:35.833356226 +0530
-@@ -194,30 +194,39 @@
- dnl - color
- dnl ---------------------------------------------------------------------------
-
--PKG_CHECK_MODULES(COLOR, [colord >= 0.1.9 gnome-desktop-3.0 >= $GNOME_DESKTOP_REQUIRED_VERSION libcanberra-gtk3])
-+AC_ARG_ENABLE([color],
-+ AS_HELP_STRING([--disable-color],
-+ [turn off color plugin]),
-+ [with_color=$enableval],
-+ [with_color=yes]) dnl Default value
-+
-+if test x$with_color = xyes; then
-+ PKG_CHECK_MODULES(COLOR, [colord >= 0.1.9 gnome-desktop-3.0 >= $GNOME_DESKTOP_REQUIRED_VERSION libcanberra-gtk3])
-+ AC_DEFINE(HAVE_COLOR, 1, [Define if wacom plugin is enabled])
-+fi
-+AM_CONDITIONAL(WITH_COLOR, test "x$with_color" = "xyes")
-+
-+AC_SUBST(COLOR_CFLAGS)
-+AC_SUBST(COLOR_LIBS)
-
- dnl ---------------------------------------------------------------------------
- dnl - wacom (disabled for s390/s390x and non Linux platforms)
- dnl ---------------------------------------------------------------------------
-
--case $host_os in
-- linux*)
-- if test "$host_cpu" = s390 -o "$host_cpu" = s390x; then
-- have_wacom=no
-- else
-- if test x$enable_gudev != xno; then
-- PKG_CHECK_MODULES(WACOM, [libwacom >= $LIBWACOM_REQUIRED_VERSION x11 xi xtst gudev-1.0 gnome-desktop-3.0 >= $GNOME_DESKTOP_REQUIRED_VERSION xorg-wacom])
-- else
-- AC_MSG_ERROR([GUdev is necessary to compile Wacom support])
-- fi
-- have_wacom=yes
-- fi
-- ;;
-- *)
-- have_wacom=no
-- ;;
--esac
--AM_CONDITIONAL(HAVE_WACOM, test x$have_wacom = xyes)
-+AC_ARG_ENABLE([wacom],
-+ AS_HELP_STRING([--disable-wacom],
-+ [turn off wacom plugin]),
-+ [have_wacom=$enableval],
-+ [have_wacom=no]) dnl Default value
-+
-+if test x$with_wacom = xyes; then
-+ PKG_CHECK_MODULES(WACOM, [libwacom >= $LIBWACOM_REQUIRED_VERSION x11 xi xtst $GUDEV_PKG gnome-desktop-3.0 >= $GNOME_DESKTOP_REQUIRED_VERSION xorg-wacom])
-+ AC_DEFINE(HAVE_WACOM, 1, [Define if wacom plugin is enabled])
-+fi
-+AM_CONDITIONAL(HAVE_WACOM, test "x$with_wacom" = "xyes")
-+
-+AC_SUBST(WACOM_CFLAGS)
-+AC_SUBST(WACOM_LIBS)
-
- dnl ==============================================
- dnl PackageKit section
-diff -Naur gnome-settings-daemon-3.3.92//data/Makefile.am gnome-settings-daemon-3.3.92.new//data/Makefile.am
---- gnome-settings-daemon-3.3.92//data/Makefile.am 2012-03-16 22:59:35.000000000 +0530
-+++ gnome-settings-daemon-3.3.92.new//data/Makefile.am 2012-03-25 11:39:24.548364338 +0530
-@@ -11,7 +11,6 @@
- org.gnome.settings-daemon.plugins.gschema.xml \
- org.gnome.settings-daemon.plugins.keyboard.gschema.xml \
- org.gnome.settings-daemon.plugins.power.gschema.xml \
-- org.gnome.settings-daemon.plugins.color.gschema.xml \
- org.gnome.settings-daemon.plugins.media-keys.gschema.xml \
- org.gnome.settings-daemon.plugins.xsettings.gschema.xml \
- org.gnome.settings-daemon.plugins.housekeeping.gschema.xml \
-@@ -30,6 +29,12 @@
- gsettings_SCHEMAS += org.gnome.settings-daemon.plugins.orientation.gschema.xml
- else
- all_schemas += org.gnome.settings-daemon.plugins.orientation.gschema.xml
-+endif
-+
-+if WITH_COLOR
-+gsettings_SCHEMAS += org.gnome.settings-daemon.plugins.color.gschema.xml
-+else
-+all_schemas += org.gnome.settings-daemon.plugins.color.gschema.xml
- endif
-
- if HAVE_WACOM
-diff -Naur gnome-settings-daemon-3.3.92//plugins/Makefile.am gnome-settings-daemon-3.3.92.new//plugins/Makefile.am
---- gnome-settings-daemon-3.3.92//plugins/Makefile.am 2012-03-16 22:59:35.000000000 +0530
-+++ gnome-settings-daemon-3.3.92.new//plugins/Makefile.am 2012-03-25 11:37:47.296359651 +0530
-@@ -6,7 +6,6 @@
- automount \
- background \
- clipboard \
-- color \
- cursor \
- dummy \
- power \
-@@ -39,6 +38,12 @@
- disabled_plugins += orientation
- endif
-
-+if WITH_COLOR
-+enabled_plugins += color
-+else
-+disabled_plugins += color
-+endif
-+
- if HAVE_WACOM
- enabled_plugins += wacom
- else
diff --git a/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.5.2.ebuild b/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.5.2.ebuild
deleted file mode 100644
index 1c272a3..0000000
--- a/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.5.2.ebuild
+++ /dev/null
@@ -1,115 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.4.2.ebuild,v 1.1 2012/05/20 10:43:38 tetromino Exp $
-
-EAPI="4"
-GCONF_DEBUG="no"
-GNOME2_LA_PUNT="yes"
-
-inherit autotools eutils gnome2 virtualx
-
-DESCRIPTION="Gnome Settings Daemon"
-HOMEPAGE="http://www.gnome.org"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~x86-solaris"
-IUSE="+colord +cups debug packagekit policykit smartcard systemd +udev wacom"
-
-# colord-0.1.13 needed to avoid polkit errors in CreateProfile and CreateDevice
-COMMON_DEPEND="
- >=dev-libs/glib-2.31.0:2
- >=x11-libs/gtk+-3.3.4:3
- >=gnome-base/gnome-desktop-3.5.1:3
- >=gnome-base/gsettings-desktop-schemas-3.5.1
- media-fonts/cantarell
- media-libs/fontconfig
- >=media-libs/lcms-2.2:2
- media-libs/libcanberra[gtk3]
- >=media-sound/pulseaudio-0.9.16
- >=sys-power/upower-0.9.11
- x11-libs/cairo
- x11-libs/gdk-pixbuf:2
- >=x11-libs/libnotify-0.7.3
- x11-libs/libX11
- x11-libs/libXi
- x11-libs/libXext
- x11-libs/libXfixes
- x11-libs/libXtst
- x11-libs/libXxf86misc
- >=x11-libs/libxklavier-5.0
- >=media-sound/pulseaudio-0.9.16
-
- colord? ( >=x11-misc/colord-0.1.13 )
- cups? ( >=net-print/cups-1.4[dbus] )
- packagekit? (
- sys-fs/udev[gudev]
- >=app-admin/packagekit-base-0.6.12 )
- smartcard? (
- sys-fs/udev[gudev]
- >=dev-libs/nss-3.11.2 )
- systemd? ( >=sys-apps/systemd-31 )
- udev? ( sys-fs/udev[gudev] )
- wacom? ( >=dev-libs/libwacom-0.3
- x11-drivers/xf86-input-wacom )"
-# Themes needed by g-s-d, gnome-shell, gtk+:3 apps to work properly
-# <gnome-color-manager-3.1.1 has file collisions with g-s-d-3.1.x
-# <gnome-power-manager-3.1.3 has file collisions with g-s-d-3.1.x
-RDEPEND="${COMMON_DEPEND}
- gnome-base/dconf
- >=x11-themes/gnome-themes-standard-2.91
- >=x11-themes/gnome-icon-theme-2.91
- >=x11-themes/gnome-icon-theme-symbolic-2.91
- !<gnome-base/gnome-control-center-2.22
- !<gnome-extra/gnome-color-manager-3.1.1
- !<gnome-extra/gnome-power-manager-3.1.3
-
- !systemd? ( sys-auth/consolekit )"
-# xproto-7.0.15 needed for power plugin
-DEPEND="${COMMON_DEPEND}
- cups? ( sys-apps/sed )
- sys-devel/gettext
- >=dev-util/intltool-0.40
- virtual/pkgconfig
- x11-proto/inputproto
- x11-proto/kbproto
- x11-proto/xf86miscproto
- >=x11-proto/xproto-7.0.15"
-
-pkg_setup() {
- # README is empty
- DOCS="AUTHORS NEWS ChangeLog MAINTAINERS"
- G2CONF="${G2CONF}
- --disable-static
- --disable-schemas-compile
- $(use_enable colord color)
- $(use_enable cups)
- $(use_enable debug)
- $(use_enable debug more-warnings)
- $(use_enable packagekit)
- $(use_enable smartcard smartcard-support)
- $(use_enable systemd)
- $(use_enable udev gudev)
- $(use_enable wacom)"
-}
-
-src_prepare() {
-
- # Make colord and wacom optional; requires eautoreconf
- epatch "${FILESDIR}/${PN}-3.5.1-optional-color-wacom.patch"
-
- eautoreconf
-
- gnome2_src_prepare
-}
-
-src_test() {
- Xemake check
-}
-
-src_install() {
- gnome2_src_install
-
- echo 'GSETTINGS_BACKEND="dconf"' >> 51gsettings-dconf
- doenvd 51gsettings-dconf
-}
diff --git a/gnome-base/gnome-settings-daemon/gnome-settings-daemon-9999.ebuild b/gnome-base/gnome-settings-daemon/gnome-settings-daemon-9999.ebuild
deleted file mode 100644
index d14920b..0000000
--- a/gnome-base/gnome-settings-daemon/gnome-settings-daemon-9999.ebuild
+++ /dev/null
@@ -1,122 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.2.2-r1.ebuild,v 1.2 2012/01/12 03:32:00 tetromino Exp $
-
-EAPI="4"
-GCONF_DEBUG="no"
-GNOME2_LA_PUNT="yes"
-
-inherit autotools eutils gnome2 virtualx
-if [[ ${PV} = 9999 ]]; then
- inherit gnome2-live
-fi
-
-DESCRIPTION="Gnome Settings Daemon"
-HOMEPAGE="http://www.gnome.org"
-
-LICENSE="GPL-2"
-SLOT="0"
-if [[ ${PV} = 9999 ]]; then
- KEYWORDS=""
-else
- KEYWORDS="~amd64 ~arm ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~x86-solaris"
-fi
-IUSE="+colord +cups debug packagekit policykit smartcard systemd +udev wacom"
-
-# colord-0.1.13 needed to avoid polkit errors in CreateProfile and CreateDevice
-COMMON_DEPEND="
- >=dev-libs/glib-2.31.0:2
- >=x11-libs/gtk+-3.3.4:3
- >=gnome-base/gnome-desktop-3.5.1:3
- >=gnome-base/gsettings-desktop-schemas-3.5.1
- media-fonts/cantarell
- media-libs/fontconfig
- >=media-libs/lcms-2.2:2
- media-libs/libcanberra[gtk3]
- >=media-sound/pulseaudio-0.9.16
- >=sys-power/upower-0.9.11
- x11-libs/cairo
- x11-libs/gdk-pixbuf:2
- >=x11-libs/libnotify-0.7.3
- x11-libs/libX11
- x11-libs/libXi
- x11-libs/libXext
- x11-libs/libXfixes
- x11-libs/libXtst
- x11-libs/libXxf86misc
- >=x11-libs/libxklavier-5.0
- >=media-sound/pulseaudio-0.9.16
-
- colord? ( >=x11-misc/colord-0.1.13 )
- cups? ( >=net-print/cups-1.4[dbus] )
- packagekit? (
- sys-fs/udev[gudev]
- >=app-admin/packagekit-base-0.6.12 )
- smartcard? (
- sys-fs/udev[gudev]
- >=dev-libs/nss-3.11.2 )
- systemd? ( >=sys-apps/systemd-31 )
- udev? ( sys-fs/udev[gudev] )
- wacom? ( >=dev-libs/libwacom-0.3
- x11-drivers/xf86-input-wacom )"
-# Themes needed by g-s-d, gnome-shell, gtk+:3 apps to work properly
-# <gnome-color-manager-3.1.1 has file collisions with g-s-d-3.1.x
-# <gnome-power-manager-3.1.3 has file collisions with g-s-d-3.1.x
-RDEPEND="${COMMON_DEPEND}
- gnome-base/dconf
- >=x11-themes/gnome-themes-standard-2.91
- >=x11-themes/gnome-icon-theme-2.91
- >=x11-themes/gnome-icon-theme-symbolic-2.91
- !<gnome-base/gnome-control-center-2.22
- !<gnome-extra/gnome-color-manager-3.1.1
- !<gnome-extra/gnome-power-manager-3.1.3
-
- !systemd? ( sys-auth/consolekit )"
-# xproto-7.0.15 needed for power plugin
-DEPEND="${COMMON_DEPEND}
- cups? ( sys-apps/sed )
- sys-devel/gettext
- >=dev-util/intltool-0.40
- virtual/pkgconfig
- x11-proto/inputproto
- x11-proto/kbproto
- x11-proto/xf86miscproto
- >=x11-proto/xproto-7.0.15"
-
-pkg_setup() {
- # README is empty
- DOCS="AUTHORS NEWS ChangeLog MAINTAINERS"
- G2CONF="${G2CONF}
- --disable-static
- --disable-schemas-compile
- $(use_enable colord color)
- $(use_enable cups)
- $(use_enable debug)
- $(use_enable debug more-warnings)
- $(use_enable packagekit)
- $(use_enable smartcard smartcard-support)
- $(use_enable systemd)
- $(use_enable udev gudev)
- $(use_enable wacom)"
-}
-
-src_prepare() {
-
- # Make colord and wacom optional; requires eautoreconf
- epatch "${FILESDIR}/${PN}-3.5.1-optional-color-wacom.patch"
-
- eautoreconf
-
- gnome2_src_prepare
-}
-
-src_test() {
- Xemake check
-}
-
-src_install() {
- gnome2_src_install
-
- echo 'GSETTINGS_BACKEND="dconf"' >> 51gsettings-dconf
- doenvd 51gsettings-dconf
-}
diff --git a/gnome-base/gnome-shell/Manifest b/gnome-base/gnome-shell/Manifest
deleted file mode 100644
index 8ba79e4..0000000
--- a/gnome-base/gnome-shell/Manifest
+++ /dev/null
@@ -1,4 +0,0 @@
-AUX gnome-shell-3.2.1-automagic-gnome-bluetooth.patch 1841 RMD160 4b57dfeb42f299ef74799409132778b60ddc7a09 SHA1 4acf93b0bda58660b6c7ed5c8fdb6b06df86c035 SHA256 df5f86858b8abc08225ffb7679e829250e05a419b439b2ecad0f02bd93b670b2
-DIST gnome-shell-3.5.2.tar.xz 1259328 RMD160 55deb5a9092d1913420d915363a33fe59b9b3188 SHA1 daafbd0271a28fe9da659f0f135599cf2f2147fd SHA256 38d9b32e68e88bb2900cba1706c22fcf86914c3539d98d6a1a69aed674cbe9f4
-EBUILD gnome-shell-3.5.2.ebuild 6192 RMD160 7854b67a78f0631b1940d5654cbdc529f14dcbd7 SHA1 75b0b2d6ae71cbb2c77ecc5860bd6502dc6a5c7b SHA256 80caac80af9604a4d0d94bd3171d019c76b4a604ab324220903fbcb2bb18520d
-EBUILD gnome-shell-9999.ebuild 6330 RMD160 6ed0a197e1885cdc5defef7e8bc9aae8a3b8ed17 SHA1 6d81e9632a5bdf038ed39ec479448a3fcceecbb6 SHA256 08daf8d4f9249c31fd402500eb88f77a2cec9fcaf52950e0a43d522ea028b281
diff --git a/gnome-base/gnome-shell/files/gnome-shell-3.2.1-automagic-gnome-bluetooth.patch b/gnome-base/gnome-shell/files/gnome-shell-3.2.1-automagic-gnome-bluetooth.patch
deleted file mode 100644
index ae23a6c..0000000
--- a/gnome-base/gnome-shell/files/gnome-shell-3.2.1-automagic-gnome-bluetooth.patch
+++ /dev/null
@@ -1,44 +0,0 @@
-From 84568fa9454f279ff519a2a11174e112786e46db Mon Sep 17 00:00:00 2001
-From: root <admin@catmur.co.uk>
-Date: Sun, 8 Jan 2012 13:55:05 +0000
-Subject: [PATCH] Fix automagic gnome-bluetooth dependency
-
-https://bugs.gentoo.org/show_bug.cgi?id=398145
-
-Ed Catmur 2012-01-08 13:46:22 UTC
-libgnome-bluetooth-applet is a private library so they shouldn't be linking
-against it anyway. I tried to work out how to tell libtool to add it to rpath
-but got totally lost.
-
-I'll see if I can work out how to fix the automagic gnome-bluetooth dependency
-so I can at least merge USE=-bluetooth.
----
- configure.ac | 5 +++++
- 1 files changed, 5 insertions(+), 0 deletions(-)
-
-diff --git a/configure.ac b/configure.ac
-index 1c64122..a699838 100644
---- a/configure.ac
-+++ b/configure.ac
-@@ -127,6 +127,8 @@ PKG_CHECK_MODULES(GVC, libpulse libpulse-mainloop-glib gobject-2.0)
- PKG_CHECK_MODULES(DESKTOP_SCHEMAS, gsettings-desktop-schemas >= 0.1.7)
-
- AC_MSG_CHECKING([for bluetooth support])
-+AC_ARG_WITH([bluetooth], AS_HELP_STRING([--without-bluetooth], [Build without gnome-bluetooth library (default: auto)]))
-+AS_IF([test "x$with_bluetooth" != "xno"], [
- PKG_CHECK_EXISTS([gnome-bluetooth-1.0 >= 3.1.0],
- [BLUETOOTH_DIR=`$PKG_CONFIG --variable=applet_libdir gnome-bluetooth-1.0`
- BLUETOOTH_LIBS=`$PKG_CONFIG --variable=applet_libs gnome-bluetooth-1.0`
-@@ -138,6 +140,9 @@ PKG_CHECK_EXISTS([gnome-bluetooth-1.0 >= 3.1.0],
- [AC_DEFINE([HAVE_BLUETOOTH],[0])
- AC_SUBST([HAVE_BLUETOOTH],[0])
- AC_MSG_RESULT([no])])
-+], [AC_DEFINE([HAVE_BLUETOOTH],[0])
-+ AC_SUBST([HAVE_BLUETOOTH],[0])
-+ AC_MSG_RESULT([no])])
-
- PKG_CHECK_MODULES(CALENDAR_SERVER, libecal-1.2 >= $LIBECAL_MIN_VERSION libedataserver-1.2 >= $LIBEDATASERVER_MIN_VERSION libedataserverui-3.0 >= $LIBEDATASERVERUI_MIN_VERSION gio-2.0)
- AC_SUBST(CALENDAR_SERVER_CFLAGS)
---
-1.7.8.2
-
diff --git a/gnome-base/gnome-shell/gnome-shell-3.5.2.ebuild b/gnome-base/gnome-shell/gnome-shell-3.5.2.ebuild
deleted file mode 100644
index 85e2d52..0000000
--- a/gnome-base/gnome-shell/gnome-shell-3.5.2.ebuild
+++ /dev/null
@@ -1,184 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI="4"
-GCONF_DEBUG="no"
-GNOME2_LA_PUNT="yes"
-PYTHON_DEPEND="2:2.5"
-
-inherit autotools eutils gnome2 multilib pax-utils python
-
-DESCRIPTION="Provides core UI functions for the GNOME 3 desktop"
-HOMEPAGE="http://live.gnome.org/GnomeShell"
-
-LICENSE="GPL-2"
-SLOT="0"
-IUSE="+bluetooth systemd"
-KEYWORDS="~amd64 ~x86"
-
-# gnome-desktop-2.91.2 is needed due to header changes, db82a33 in gnome-desktop
-# latest g-c-c is needed due to https://bugs.gentoo.org/show_bug.cgi?id=360057
-# libXfixes-5.0 needed for pointer barriers
-COMMON_DEPEND=">=app-crypt/gcr-3.3.90[introspection]
- >=dev-libs/glib-2.31.6:2
- >=dev-libs/gjs-1.31.22
- >=dev-libs/gobject-introspection-0.10.1
- >=x11-libs/gtk+-3.3.9:3[introspection]
- >=media-libs/clutter-1.9.16:1.0[introspection]
- >=dev-libs/folks-0.5.2
- >=dev-libs/json-glib-0.13.2
- >=dev-libs/libcroco-0.6.2:0.6
- >=gnome-base/gnome-desktop-3.5.1:3
- >=gnome-base/gsettings-desktop-schemas-2.91.91
- >=gnome-base/gnome-keyring-3.3.90
- >=gnome-base/gnome-menus-2.29.10:3[introspection]
- gnome-base/libgnome-keyring
- >=gnome-extra/evolution-data-server-2.91.6
- >=media-libs/gstreamer-0.10.16:0.10
- >=media-libs/gst-plugins-base-0.10.16:0.10
- >=net-im/telepathy-logger-0.2.4[introspection]
- >=net-libs/telepathy-glib-0.17.5[introspection]
- >=sys-auth/polkit-0.100[introspection]
- >=x11-libs/libXfixes-5.0
- >=x11-wm/mutter-3.4.1[introspection]
- >=x11-libs/startup-notification-0.11
-
- app-misc/ca-certificates
- dev-libs/dbus-glib
- dev-libs/libxml2:2
- gnome-base/librsvg
- media-libs/libcanberra
- media-libs/mesa
- media-sound/pulseaudio
- net-libs/libsoup:2.4[introspection]
- x11-libs/libX11
- x11-libs/gdk-pixbuf:2[introspection]
- x11-libs/pango[introspection]
- x11-apps/mesa-progs
-
- bluetooth? ( >=net-wireless/gnome-bluetooth-3.1.0[introspection] )
- >=net-misc/networkmanager-0.8.999[introspection]
- systemd? ( >=sys-apps/systemd-31 )
-"
-# Runtime-only deps are probably incomplete and approximate.
-# Each block:
-# 1. Pull in polkit-0.101 for pretty authorization dialogs
-# 2. Introspection stuff + dconf needed via imports.gi.*
-# 3. gnome-session is needed for gnome-session-quit
-# 4. Control shell settings
-# 5. accountsservice is needed for GdmUserManager (0.6.14 needed for fast
-# user switching with gdm-3.1.x)
-# 6. caribou needed for on-screen keyboard
-# 7. xdg-utils needed for xdg-open, used by extension tool
-# 8. gnome-icon-theme-symbolic neeed for various icons
-# 9. mobile-broadband-provider-info, timezone-data for shell-mobile-providers.c
-RDEPEND="${COMMON_DEPEND}
- >=sys-auth/polkit-0.101[introspection]
-
- >=gnome-base/dconf-0.4.1
- sys-power/upower[introspection]
-
- >=gnome-base/gnome-session-2.91.91
-
- >=gnome-base/gnome-settings-daemon-2.91
- >=gnome-base/gnome-control-center-2.91.92-r1[bluetooth(+)?]
-
- >=sys-apps/accountsservice-0.6.14[introspection]
-
- >=app-accessibility/caribou-0.3
-
- x11-misc/xdg-utils
-
- x11-themes/gnome-icon-theme-symbolic
-
- net-misc/mobile-broadband-provider-info
- sys-libs/timezone-data
-
- !systemd? ( sys-auth/consolekit )
-"
-DEPEND="${COMMON_DEPEND}
- >=sys-devel/gettext-0.17
- >=dev-util/intltool-0.40
- gnome-base/gnome-common
- virtual/pkgconfig
- !!=dev-lang/spidermonkey-1.8.2*"
-# libmozjs.so is picked up from /usr/lib while compiling, so block at build-time
-# https://bugs.gentoo.org/show_bug.cgi?id=360413
-
-pkg_setup() {
- DOCS="AUTHORS NEWS README"
- # Don't error out on warnings
- G2CONF="${G2CONF}
- --enable-compile-warnings=maximum
- --disable-schemas-compile
- --disable-jhbuild-wrapper-script
- $(use_with bluetooth)
- $(use_with systemd)
- --with-ca-certificates=${EPREFIX}/etc/ssl/certs/ca-certificates.crt
- BROWSER_PLUGIN_DIR=${EPREFIX}/usr/$(get_libdir)/nsbrowser/plugins"
- python_set_active_version 2
- python_pkg_setup
-}
-
-src_prepare() {
- # Fix automagic gnome-bluetooth dep, bug #398145
- epatch "${FILESDIR}/${PN}-3.2.1-automagic-gnome-bluetooth.patch"
-
- gnome2_src_prepare
-
- # Drop G_DISABLE_DEPRECATED for sanity on glib upgrades; bug #384765
- # Note: sed Makefile.in because it is generated from several Makefile.ams
- sed -e 's/-DG_DISABLE_DEPRECATED//g' \
- -i src/Makefile.in browser-plugin/Makefile.in || die "sed failed"
-}
-
-src_install() {
- gnome2_src_install
- python_convert_shebangs 2 "${ED}/usr/bin/gnome-shell-extension-tool"
-
- # Required for gnome-shell on hardened/PaX, bug #398941
- pax-mark mr "${ED}usr/bin/gnome-shell"
-}
-
-pkg_postinst() {
- gnome2_pkg_postinst
-
- if ! has_version '>=media-libs/gst-plugins-good-0.10.23' || \
- ! has_version 'media-plugins/gst-plugins-vp8'; then
- ewarn "To make use of GNOME Shell's built-in screen recording utility,"
- ewarn "you need to either install >=media-libs/gst-plugins-good-0.10.23"
- ewarn "and media-plugins/gst-plugins-vp8, or use dconf-editor to change"
- ewarn "apps.gnome-shell.recorder/pipeline to what you want to use."
- fi
-
- if ! has_version ">=x11-base/xorg-server-1.11"; then
- ewarn "If you use multiple screens, it is highly recommended that you"
- ewarn "upgrade to >=x11-base/xorg-server-1.11 to be able to make use of"
- ewarn "pointer barriers which will make it easier to use hot corners."
- fi
-
- if has_version "<x11-drivers/ati-drivers-12"; then
- ewarn "GNOME Shell has been reported to show graphical corruption under"
- ewarn "x11-drivers/ati-drivers-11.*; you may want to use GNOME in"
- ewarn "fallback mode, or switch to open-source drivers."
- fi
-
- if has_version "media-libs/mesa[video_cards_radeon]"; then
- elog "GNOME Shell is unstable under classic-mode r300/r600 mesa drivers."
- elog "Make sure that gallium architecture for r300 and r600 drivers is"
- elog "selected using 'eselect mesa'."
- if ! has_version "media-libs/mesa[gallium]"; then
- ewarn "You will need to emerge media-libs/mesa with USE=gallium."
- fi
- fi
-
- if has_version "media-libs/mesa[video_cards_intel]"; then
- elog "GNOME Shell is unstable under gallium-mode i915/i965 mesa drivers."
- elog "Make sure that classic architecture for i915 and i965 drivers is"
- elog "selected using 'eselect mesa'."
- if ! has_version "media-libs/mesa[classic]"; then
- ewarn "You will need to emerge media-libs/mesa with USE=classic."
- fi
- fi
-}
diff --git a/gnome-base/gnome-shell/gnome-shell-9999.ebuild b/gnome-base/gnome-shell/gnome-shell-9999.ebuild
deleted file mode 100644
index a02565f..0000000
--- a/gnome-base/gnome-shell/gnome-shell-9999.ebuild
+++ /dev/null
@@ -1,192 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI="4"
-GCONF_DEBUG="no"
-GNOME2_LA_PUNT="yes"
-PYTHON_DEPEND="2:2.5"
-
-inherit autotools eutils gnome2 multilib pax-utils python
-if [[ ${PV} = 9999 ]]; then
- inherit gnome2-live
-fi
-
-DESCRIPTION="Provides core UI functions for the GNOME 3 desktop"
-HOMEPAGE="http://live.gnome.org/GnomeShell"
-
-LICENSE="GPL-2"
-SLOT="0"
-IUSE="+bluetooth systemd"
-if [[ ${PV} = 9999 ]]; then
- KEYWORDS=""
-else
- KEYWORDS="~amd64 ~x86"
-fi
-
-# gnome-desktop-2.91.2 is needed due to header changes, db82a33 in gnome-desktop
-# latest g-c-c is needed due to https://bugs.gentoo.org/show_bug.cgi?id=360057
-# libXfixes-5.0 needed for pointer barriers
-COMMON_DEPEND=">=app-crypt/gcr-3.3.90[introspection]
- >=dev-libs/glib-2.31.6:2
- >=dev-libs/gjs-1.31.22
- >=dev-libs/gobject-introspection-0.10.1
- >=x11-libs/gtk+-3.3.9:3[introspection]
- >=media-libs/clutter-1.9.16:1.0[introspection]
- >=dev-libs/folks-0.5.2
- >=dev-libs/json-glib-0.13.2
- >=dev-libs/libcroco-0.6.2:0.6
- >=gnome-base/gnome-desktop-3.5.1:3
- >=gnome-base/gsettings-desktop-schemas-2.91.91
- >=gnome-base/gnome-keyring-3.3.90
- >=gnome-base/gnome-menus-2.29.10:3[introspection]
- gnome-base/libgnome-keyring
- >=gnome-extra/evolution-data-server-2.91.6
- >=media-libs/gstreamer-0.10.16:0.10
- >=media-libs/gst-plugins-base-0.10.16:0.10
- >=net-im/telepathy-logger-0.2.4[introspection]
- >=net-libs/telepathy-glib-0.17.5[introspection]
- >=sys-auth/polkit-0.100[introspection]
- >=x11-libs/libXfixes-5.0
- >=x11-wm/mutter-3.4.1[introspection]
- >=x11-libs/startup-notification-0.11
-
- app-misc/ca-certificates
- dev-libs/dbus-glib
- dev-libs/libxml2:2
- gnome-base/librsvg
- media-libs/libcanberra
- media-libs/mesa
- media-sound/pulseaudio
- net-libs/libsoup:2.4[introspection]
- x11-libs/libX11
- x11-libs/gdk-pixbuf:2[introspection]
- x11-libs/pango[introspection]
- x11-apps/mesa-progs
-
- bluetooth? ( >=net-wireless/gnome-bluetooth-3.1.0[introspection] )
- >=net-misc/networkmanager-0.8.999[introspection]
- systemd? ( >=sys-apps/systemd-31 )
-"
-# Runtime-only deps are probably incomplete and approximate.
-# Each block:
-# 1. Pull in polkit-0.101 for pretty authorization dialogs
-# 2. Introspection stuff + dconf needed via imports.gi.*
-# 3. gnome-session is needed for gnome-session-quit
-# 4. Control shell settings
-# 5. accountsservice is needed for GdmUserManager (0.6.14 needed for fast
-# user switching with gdm-3.1.x)
-# 6. caribou needed for on-screen keyboard
-# 7. xdg-utils needed for xdg-open, used by extension tool
-# 8. gnome-icon-theme-symbolic neeed for various icons
-# 9. mobile-broadband-provider-info, timezone-data for shell-mobile-providers.c
-RDEPEND="${COMMON_DEPEND}
- >=sys-auth/polkit-0.101[introspection]
-
- >=gnome-base/dconf-0.4.1
- sys-power/upower[introspection]
-
- >=gnome-base/gnome-session-2.91.91
-
- >=gnome-base/gnome-settings-daemon-2.91
- >=gnome-base/gnome-control-center-2.91.92-r1[bluetooth(+)?]
-
- >=sys-apps/accountsservice-0.6.14[introspection]
-
- >=app-accessibility/caribou-0.3
-
- x11-misc/xdg-utils
-
- x11-themes/gnome-icon-theme-symbolic
-
- net-misc/mobile-broadband-provider-info
- sys-libs/timezone-data
-
- !systemd? ( sys-auth/consolekit )
-"
-DEPEND="${COMMON_DEPEND}
- >=sys-devel/gettext-0.17
- >=dev-util/intltool-0.40
- gnome-base/gnome-common
- virtual/pkgconfig
- !!=dev-lang/spidermonkey-1.8.2*"
-# libmozjs.so is picked up from /usr/lib while compiling, so block at build-time
-# https://bugs.gentoo.org/show_bug.cgi?id=360413
-
-pkg_setup() {
- DOCS="AUTHORS NEWS README"
- # Don't error out on warnings
- G2CONF="${G2CONF}
- --enable-compile-warnings=maximum
- --disable-schemas-compile
- --disable-jhbuild-wrapper-script
- $(use_with bluetooth)
- $(use_with systemd)
- --with-ca-certificates=${EPREFIX}/etc/ssl/certs/ca-certificates.crt
- BROWSER_PLUGIN_DIR=${EPREFIX}/usr/$(get_libdir)/nsbrowser/plugins"
- python_set_active_version 2
- python_pkg_setup
-}
-
-src_prepare() {
- # Fix automagic gnome-bluetooth dep, bug #398145
- epatch "${FILESDIR}/${PN}-3.2.1-automagic-gnome-bluetooth.patch"
-
- [[ ${PV} != 9999 ]] && eautoreconf
- gnome2_src_prepare
-
- # Drop G_DISABLE_DEPRECATED for sanity on glib upgrades; bug #384765
- # Note: sed Makefile.in because it is generated from several Makefile.ams
- sed -e 's/-DG_DISABLE_DEPRECATED//g' \
- -i src/Makefile.in browser-plugin/Makefile.in || die "sed failed"
-}
-
-src_install() {
- gnome2_src_install
- python_convert_shebangs 2 "${ED}/usr/bin/gnome-shell-extension-tool"
-
- # Required for gnome-shell on hardened/PaX, bug #398941
- pax-mark mr "${ED}usr/bin/gnome-shell"
-}
-
-pkg_postinst() {
- gnome2_pkg_postinst
-
- if ! has_version '>=media-libs/gst-plugins-good-0.10.23' || \
- ! has_version 'media-plugins/gst-plugins-vp8'; then
- ewarn "To make use of GNOME Shell's built-in screen recording utility,"
- ewarn "you need to either install >=media-libs/gst-plugins-good-0.10.23"
- ewarn "and media-plugins/gst-plugins-vp8, or use dconf-editor to change"
- ewarn "apps.gnome-shell.recorder/pipeline to what you want to use."
- fi
-
- if ! has_version ">=x11-base/xorg-server-1.11"; then
- ewarn "If you use multiple screens, it is highly recommended that you"
- ewarn "upgrade to >=x11-base/xorg-server-1.11 to be able to make use of"
- ewarn "pointer barriers which will make it easier to use hot corners."
- fi
-
- if has_version "<x11-drivers/ati-drivers-12"; then
- ewarn "GNOME Shell has been reported to show graphical corruption under"
- ewarn "x11-drivers/ati-drivers-11.*; you may want to use GNOME in"
- ewarn "fallback mode, or switch to open-source drivers."
- fi
-
- if has_version "media-libs/mesa[video_cards_radeon]"; then
- elog "GNOME Shell is unstable under classic-mode r300/r600 mesa drivers."
- elog "Make sure that gallium architecture for r300 and r600 drivers is"
- elog "selected using 'eselect mesa'."
- if ! has_version "media-libs/mesa[gallium]"; then
- ewarn "You will need to emerge media-libs/mesa with USE=gallium."
- fi
- fi
-
- if has_version "media-libs/mesa[video_cards_intel]"; then
- elog "GNOME Shell is unstable under gallium-mode i915/i965 mesa drivers."
- elog "Make sure that classic architecture for i915 and i965 drivers is"
- elog "selected using 'eselect mesa'."
- if ! has_version "media-libs/mesa[classic]"; then
- ewarn "You will need to emerge media-libs/mesa with USE=classic."
- fi
- fi
-}
diff --git a/gnome-base/libgnomekbd/Manifest b/gnome-base/libgnomekbd/Manifest
deleted file mode 100644
index 5f0afc1..0000000
--- a/gnome-base/libgnomekbd/Manifest
+++ /dev/null
@@ -1,2 +0,0 @@
-DIST libgnomekbd-3.5.2.tar.xz 370492 RMD160 154323f64325cfd54dcefcd4df834de7cabc0d19 SHA1 f291b98d3d527f6fa2d441570a59e8ffae77d9ae SHA256 4867e68987c7c892f4d887ded12d3b4fac897eee5eb52f44b216b2a3b3de42d8
-EBUILD libgnomekbd-3.5.2.ebuild 971 RMD160 22c96d6099e5ea3aa435e855db064cd5253078fa SHA1 36466f5f79d54e517f44aff6e54ecdc30dc9f31f SHA256 0358214d742ecee584e90975eded0eb03cb10df917357e31c3c4b4dd9231f0d9
diff --git a/gnome-base/libgnomekbd/libgnomekbd-3.5.2.ebuild b/gnome-base/libgnomekbd/libgnomekbd-3.5.2.ebuild
deleted file mode 100644
index 77f8f0c..0000000
--- a/gnome-base/libgnomekbd/libgnomekbd-3.5.2.ebuild
+++ /dev/null
@@ -1,35 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/gnome-base/libgnomekbd/libgnomekbd-3.4.0.2.ebuild,v 1.1 2012/05/14 06:05:55 tetromino Exp $
-
-EAPI="4"
-GCONF_DEBUG="no"
-GNOME2_LA_PUNT="yes"
-
-inherit gnome2
-
-DESCRIPTION="Gnome keyboard configuration library"
-HOMEPAGE="http://www.gnome.org"
-
-LICENSE="LGPL-2"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~x86-solaris"
-IUSE="+introspection test"
-
-RDEPEND=">=dev-libs/glib-2.18:2
- >=x11-libs/gtk+-2.91.7:3[introspection?]
- >=x11-libs/libxklavier-5.2[introspection?]
-
- introspection? ( >=dev-libs/gobject-introspection-0.6.7 )"
-DEPEND="${RDEPEND}
- >=dev-util/intltool-0.35
- virtual/pkgconfig"
-
-pkg_setup() {
- G2CONF="${G2CONF}
- --disable-static
- --disable-schemas-compile
- $(use_enable introspection)
- $(use_enable test tests)"
- DOCS="AUTHORS ChangeLog NEWS README"
-}